; -- EQUATES (symbolic constants) --
COLOR_ADDR	= 0B800h
MONO_ADDR	= 0B000h

COLOR_MODE	= 1
CO80_MODE	= 3
MONO_MODE	= 7				; Not compatible with CGA adapters, but should work
						; on EGA and later.

OBJ_LEN		= 10
PIT_FREQ	= 1193182
PIT_DIV		= 75				; raising this could make the game go even faster...

PBULLET_CT	= 6				; Player bullets allowed on screen
ENEMY_CT	= 12				; Enemies allowed on screen
PROJ_CT		= 12				; Enemy projectiles allowed on screen
WORM_CT		= 24				; Worm body parts allowed on screen

LAST_WAVE	= 25

START_LIVES	= 3
START_BOMBS	= 3
BONUS_MAN	= 10000
WAVE_BONUS	= 200
START_X		= X_MAX/2
START_Y		= 13

; Key states
HKEY_UP		=     	    1b
HKEY_LEFT	=          10b
HKEY_RIGHT	=         100b
HKEY_DOWN	=        1000b
HKEY_W		=	10000b
HKEY_A		=      100000b
HKEY_S		=     1000000b
HKEY_D		=    10000000b

; Boundaries
;X_MAX		= 40				; defined in 1stcell*.asm
Y_MAX		= 25
WIDTH		= 40
macro X_SETFIELD {
if X_MAX = 80
	X_LEFT = 20
	X_RIGHT = 60
else
	X_LEFT = 0
	X_RIGHT = 40
end if
}
X_SETFIELD	; Macro

; HUD positions
SCORE_POS	= (X_MAX-12)*2
LIVES_POS	= 2
BOMBS_POS	= 2+(7*2)

; The player's helpful characters
PLAYER_CH	= 1
ASC_BOMB	= 13
ASC_TRIUP	= 30
ASC_TRILEFT	= 17
ASC_TRIRIGHT	= 16
ASC_TRIDOWN	= 31

; -- END OF EQUATES --


