#!/usr/bin/env bash
# This script is designed to generate an array of random numbers specified
# by randindex for the purpose of creating fixed "random" movement patterns,
# which certain enemies use. As seen in the two commands below, this script
# will delete files named random.asm and rand<number>.txt.

rm rand?.txt
rm random.asm

for i in {1..5}; do
	for j in {0..31}; do
		shuf randindex >> rand$i.txt
	done
	cat rand$i.txt | tr '\n' ',' | sed 's/\,$//' > randa$i.txt
	mv randa$i.txt rand$i.txt
	k=$(cat rand$i.txt)
	echo "rand$i db $k" >> random.asm
done
rm rand?.txt
