WAVE_EDATA_LEN	= 3
; First byte is the wave number, followed by the total enemy count for
; the wave (loaded into equeue). After these, the bytes as follows are
; repeated until the assumed end of the address:
; 1 = Enemy type
; 2,3 = Enemy X and Y coordinates

wave1	db	1,32,	\
		ENEMY_CHASE,33,21,		\
		ENEMY_CHASE,6,10,		\
		ENEMY_CHASE,15,6,		\
		ENEMY_CHASE,24,17,		\
		ENEMY_SUPERSTUPID,21,4,		\
		ENEMY_STUPID,3,5,		\
		ENEMY_STUPID,21,21,		\
		ENEMY_SUPERSTUPID,7,4,		\
		ENEMY_STUPID,19,21,		\
		ENEMY_STUPID,13,5,		\
		ENEMY_STUPID,4,10,		\
		ENEMY_SUPERSTUPID,7,19,		\
		ENEMY_CHASE,3,12,		\
		ENEMY_STUPID,5,19,		\
		ENEMY_CHASE,23,15,		\
		ENEMY_STUPID,26,16,		\
		ENEMY_SUPERSTUPID,8,13,		\
		ENEMY_SUPERSTUPID,39,6,		\
		ENEMY_CHASE,20,24,		\
		ENEMY_SUPERSTUPID,21,23,		\
		ENEMY_SUPERSTUPID,21,5,		\
		ENEMY_STUPID,30,9,		\
		ENEMY_STUPID,16,21,		\
		ENEMY_SUPERSTUPID,33,24,		\
		ENEMY_CHASE,28,22,		\
		ENEMY_CHASE,27,20,		\
		ENEMY_SUPERSTUPID,19,8,		\
		ENEMY_SUPERSTUPID,28,18,		\
		ENEMY_STUPID,6,22,		\
		ENEMY_SUPERSTUPID,3,2,		\
		ENEMY_CHASE,11,3,		\
		ENEMY_CHASE,3,3
wave2	db	2,48,	\
		ENEMY_STRONGCHASE,26,4,		\
		ENEMY_SUPERSTUPID,34,17,		\
		ENEMY_CHASE,9,13,		\
		ENEMY_CHASE,24,9,		\
		ENEMY_CHASE,38,16,		\
		ENEMY_STRONGCHASE,19,15,		\
		ENEMY_CHASE,9,13,		\
		ENEMY_SUPERSTUPID,16,16,		\
		ENEMY_CHASE,11,15,		\
		ENEMY_SUPERSTUPID,9,9,		\
		ENEMY_STRONGCHASE,22,20,		\
		ENEMY_STRONGCHASE,35,6,		\
		ENEMY_CHASE,30,23,		\
		ENEMY_CHASE,29,24,		\
		ENEMY_CHASE,34,21,		\
		ENEMY_SUPERSTUPID,35,20,		\
		ENEMY_CHASE,31,18,		\
		ENEMY_CHASE,32,19,		\
		ENEMY_STRONGCHASE,12,16,		\
		ENEMY_CHASE,14,2,		\
		ENEMY_STRONGCHASE,6,15,		\
		ENEMY_CHASE,6,14,		\
		ENEMY_STRONGCHASE,36,13,		\
		ENEMY_SUPERSTUPID,35,8,		\
		ENEMY_CHASE,26,9,		\
		ENEMY_CHASE,12,16,		\
		ENEMY_CHASE,34,14,		\
		ENEMY_CHASE,3,20,		\
		ENEMY_SUPERSTUPID,20,10,		\
		ENEMY_STRONGCHASE,29,18,		\
		ENEMY_CHASE,20,12,		\
		ENEMY_STRONGCHASE,19,16,		\
		ENEMY_CHASE,18,16,		\
		ENEMY_SUPERSTUPID,30,22,		\
		ENEMY_CHASE,10,17,		\
		ENEMY_CHASE,8,23,		\
		ENEMY_STRONGCHASE,27,8,		\
		ENEMY_CHASE,12,20,		\
		ENEMY_SUPERSTUPID,20,12,		\
		ENEMY_STRONGCHASE,18,16,		\
		ENEMY_CHASE,3,24,		\
		ENEMY_SUPERSTUPID,11,19,		\
		ENEMY_STRONGCHASE,20,6,		\
		ENEMY_SUPERSTUPID,25,10,		\
		ENEMY_CHASE,18,10,		\
		ENEMY_SUPERSTUPID,8,23,		\
		ENEMY_STRONGCHASE,7,13,		\
		ENEMY_CHASE,18,12
wave3	db	3,48,	\
		ENEMY_STRONGCHASE,3,19,		\
		ENEMY_DASH,3,13,		\
		ENEMY_STRONGCHASE,21,13,		\
		ENEMY_STRONGCHASE,16,6,		\
		ENEMY_SUPERSTUPID,6,10,		\
		ENEMY_STRONGCHASE,4,20,		\
		ENEMY_DASH,31,14,		\
		ENEMY_STRONGCHASE,36,8,		\
		ENEMY_SUPERSTUPID,16,12,		\
		ENEMY_SUPERSTUPID,3,7,		\
		ENEMY_DASH,35,16,		\
		ENEMY_SUPERSTUPID,23,15,		\
		ENEMY_STRONGCHASE,14,18,		\
		ENEMY_DASH,30,19,		\
		ENEMY_SUPERSTUPID,9,10,		\
		ENEMY_STRONGCHASE,2,12,		\
		ENEMY_DASH,4,14,		\
		ENEMY_DASH,34,13,		\
		ENEMY_DASH,21,22,		\
		ENEMY_DASH,25,5,		\
		ENEMY_DASH,6,16,		\
		ENEMY_STRONGCHASE,18,15,		\
		ENEMY_DASH,2,15,		\
		ENEMY_DASH,16,2,		\
		ENEMY_STRONGCHASE,14,15,		\
		ENEMY_DASH,7,6,		\
		ENEMY_SUPERSTUPID,38,4,		\
		ENEMY_STRONGCHASE,30,24,		\
		ENEMY_DASH,18,4,		\
		ENEMY_STRONGCHASE,34,15,		\
		ENEMY_STRONGCHASE,30,17,		\
		ENEMY_STRONGCHASE,9,20,		\
		ENEMY_DASH,31,24,		\
		ENEMY_STRONGCHASE,21,6,		\
		ENEMY_STRONGCHASE,28,18,		\
		ENEMY_SUPERSTUPID,6,17,		\
		ENEMY_STRONGCHASE,31,6,		\
		ENEMY_DASH,38,9,		\
		ENEMY_DASH,31,20,		\
		ENEMY_SUPERSTUPID,16,8,		\
		ENEMY_STRONGCHASE,19,18,		\
		ENEMY_STRONGCHASE,14,8,		\
		ENEMY_SUPERSTUPID,34,4,		\
		ENEMY_SUPERSTUPID,10,13,		\
		ENEMY_DASH,17,14,		\
		ENEMY_STRONGCHASE,7,23,		\
		ENEMY_DASH,27,17,		\
		ENEMY_SUPERSTUPID,35,3
wave4	db	4,48,	\
		ENEMY_STRONGCHASE,2,19,		\
		ENEMY_DASH,38,20,		\
		ENEMY_FASTCHASE,38,19,		\
		ENEMY_DASH,25,6,		\
		ENEMY_DASH,17,6,		\
		ENEMY_DASH,30,4,		\
		ENEMY_FASTCHASE,24,13,		\
		ENEMY_DASH,12,18,		\
		ENEMY_DASH,20,7,		\
		ENEMY_FASTCHASE,19,12,		\
		ENEMY_FASTCHASE,27,24,		\
		ENEMY_FASTCHASE,20,13,		\
		ENEMY_FASTCHASE,20,3,		\
		ENEMY_STRONGCHASE,36,5,		\
		ENEMY_DASH,34,7,		\
		ENEMY_DASH,20,6,		\
		ENEMY_DASH,23,17,		\
		ENEMY_STRONGCHASE,33,22,		\
		ENEMY_STRONGCHASE,37,3,		\
		ENEMY_STRONGCHASE,19,21,		\
		ENEMY_STRONGCHASE,3,18,		\
		ENEMY_STRONGCHASE,28,16,		\
		ENEMY_FASTCHASE,34,24,		\
		ENEMY_DASH,33,23,		\
		ENEMY_DASH,17,21,		\
		ENEMY_DASH,10,17,		\
		ENEMY_DASH,38,22,		\
		ENEMY_STRONGCHASE,36,2,		\
		ENEMY_DASH,2,3,		\
		ENEMY_STRONGCHASE,34,23,		\
		ENEMY_FASTCHASE,30,11,		\
		ENEMY_STRONGCHASE,17,22,		\
		ENEMY_STRONGCHASE,5,18,		\
		ENEMY_STRONGCHASE,25,17,		\
		ENEMY_DASH,10,19,		\
		ENEMY_FASTCHASE,3,7,		\
		ENEMY_DASH,15,19,		\
		ENEMY_DASH,33,19,		\
		ENEMY_FASTCHASE,17,8,		\
		ENEMY_DASH,17,24,		\
		ENEMY_DASH,4,14,		\
		ENEMY_DASH,2,8,		\
		ENEMY_FASTCHASE,23,7,		\
		ENEMY_FASTCHASE,31,17,		\
		ENEMY_FASTCHASE,11,17,		\
		ENEMY_FASTCHASE,2,24,		\
		ENEMY_STRONGCHASE,5,10,		\
		ENEMY_STRONGCHASE,20,3
wave5	db	5,64,	\
		ENEMY_GUNNER,36,15,		\
		ENEMY_FASTCHASE,38,22,		\
		ENEMY_GUNNER,34,15,		\
		ENEMY_FASTCHASE,19,13,		\
		ENEMY_FASTCHASE,3,21,		\
		ENEMY_GUNNER,11,7,		\
		ENEMY_DASH,38,19,		\
		ENEMY_DASH,16,2,		\
		ENEMY_FASTCHASE,16,6,		\
		ENEMY_DASH,29,4,		\
		ENEMY_GUNNER,10,10,		\
		ENEMY_DASH,14,6,		\
		ENEMY_DASH,27,21,		\
		ENEMY_DASH,15,8,		\
		ENEMY_FASTCHASE,30,6,		\
		ENEMY_GUNNER,15,16,		\
		ENEMY_GUNNER,14,5,		\
		ENEMY_DASH,7,17,		\
		ENEMY_DASH,25,9,		\
		ENEMY_FASTCHASE,11,17,		\
		ENEMY_GUNNER,15,6,		\
		ENEMY_GUNNER,36,15,		\
		ENEMY_DASH,22,20,		\
		ENEMY_DASH,35,15,		\
		ENEMY_DASH,24,15,		\
		ENEMY_DASH,21,2,		\
		ENEMY_FASTCHASE,33,16,		\
		ENEMY_FASTCHASE,25,15,		\
		ENEMY_GUNNER,16,9,		\
		ENEMY_GUNNER,18,21,		\
		ENEMY_FASTCHASE,11,10,		\
		ENEMY_DASH,21,7,		\
		ENEMY_DASH,10,19,		\
		ENEMY_GUNNER,2,18,		\
		ENEMY_DASH,21,5,		\
		ENEMY_DASH,2,2,		\
		ENEMY_GUNNER,3,15,		\
		ENEMY_FASTCHASE,14,3,		\
		ENEMY_GUNNER,18,17,		\
		ENEMY_DASH,37,12,		\
		ENEMY_FASTCHASE,6,23,		\
		ENEMY_GUNNER,2,20,		\
		ENEMY_GUNNER,7,6,		\
		ENEMY_GUNNER,18,10,		\
		ENEMY_GUNNER,18,24,		\
		ENEMY_GUNNER,33,9,		\
		ENEMY_DASH,10,6,		\
		ENEMY_FASTCHASE,24,24,		\
		ENEMY_GUNNER,20,11,		\
		ENEMY_FASTCHASE,30,17,		\
		ENEMY_DASH,36,15,		\
		ENEMY_DASH,7,17,		\
		ENEMY_FASTCHASE,23,19,		\
		ENEMY_DASH,16,24,		\
		ENEMY_GUNNER,29,6,		\
		ENEMY_DASH,4,21,		\
		ENEMY_DASH,5,9,		\
		ENEMY_FASTCHASE,15,16,		\
		ENEMY_GUNNER,5,2,		\
		ENEMY_GUNNER,26,20,		\
		ENEMY_DASH,26,11,		\
		ENEMY_GUNNER,33,8,		\
		ENEMY_DASH,34,21,		\
		ENEMY_FASTCHASE,39,6
wave6	db	6,64,	\
		ENEMY_GUNNER,18,24,		\
		ENEMY_GUNNER,32,6,		\
		ENEMY_FASTCHASE,19,20,		\
		ENEMY_FASTSTUPID,11,2,		\
		ENEMY_GUNNER,37,6,		\
		ENEMY_FASTSTUPID,14,22,		\
		ENEMY_GUNNER,29,24,		\
		ENEMY_FASTCHASE,3,13,		\
		ENEMY_FASTSTUPID,21,18,		\
		ENEMY_GUNNER,8,19,		\
		ENEMY_FASTCHASE,28,13,		\
		ENEMY_GUNNER,23,14,		\
		ENEMY_GUNNER,23,2,		\
		ENEMY_FASTCHASE,29,9,		\
		ENEMY_FASTCHASE,37,21,		\
		ENEMY_FASTCHASE,17,14,		\
		ENEMY_GUNNER,27,14,		\
		ENEMY_FASTSTUPID,18,2,		\
		ENEMY_FASTSTUPID,12,20,		\
		ENEMY_GUNNER,16,5,		\
		ENEMY_FASTSTUPID,30,8,		\
		ENEMY_FASTSTUPID,15,16,		\
		ENEMY_GUNNER,26,8,		\
		ENEMY_FASTCHASE,8,22,		\
		ENEMY_GUNNER,31,8,		\
		ENEMY_GUNNER,36,17,		\
		ENEMY_GUNNER,38,23,		\
		ENEMY_GUNNER,8,8,		\
		ENEMY_GUNNER,3,14,		\
		ENEMY_FASTSTUPID,13,3,		\
		ENEMY_FASTCHASE,16,19,		\
		ENEMY_FASTSTUPID,34,13,		\
		ENEMY_FASTCHASE,21,19,		\
		ENEMY_FASTCHASE,15,24,		\
		ENEMY_FASTSTUPID,8,5,		\
		ENEMY_FASTSTUPID,26,14,		\
		ENEMY_GUNNER,36,22,		\
		ENEMY_FASTCHASE,37,5,		\
		ENEMY_FASTSTUPID,6,5,		\
		ENEMY_FASTSTUPID,8,20,		\
		ENEMY_GUNNER,29,15,		\
		ENEMY_FASTSTUPID,5,11,		\
		ENEMY_FASTSTUPID,5,16,		\
		ENEMY_FASTCHASE,17,7,		\
		ENEMY_FASTSTUPID,16,8,		\
		ENEMY_FASTCHASE,15,9,		\
		ENEMY_GUNNER,6,5,		\
		ENEMY_FASTCHASE,5,19,		\
		ENEMY_FASTSTUPID,20,7,		\
		ENEMY_GUNNER,4,13,		\
		ENEMY_FASTCHASE,7,24,		\
		ENEMY_GUNNER,16,20,		\
		ENEMY_FASTCHASE,24,9,		\
		ENEMY_GUNNER,11,9,		\
		ENEMY_FASTSTUPID,31,16,		\
		ENEMY_GUNNER,26,6,		\
		ENEMY_FASTSTUPID,18,19,		\
		ENEMY_GUNNER,16,13,		\
		ENEMY_FASTCHASE,16,15,		\
		ENEMY_FASTCHASE,36,2,		\
		ENEMY_FASTCHASE,20,10,		\
		ENEMY_FASTSTUPID,4,23,		\
		ENEMY_GUNNER,34,22,		\
		ENEMY_FASTSTUPID,29,19
wave7	db	7,64,	\
		ENEMY_IRONCHASE,2,2,		\
		ENEMY_GUNNER,11,7,		\
		ENEMY_IRONCHASE,23,16,		\
		ENEMY_GUNNER,9,20,		\
		ENEMY_GUNNER,32,15,		\
		ENEMY_GUNNER,17,6,		\
		ENEMY_FASTSTUPID,32,3,		\
		ENEMY_GUNNER,18,23,		\
		ENEMY_IRONCHASE,28,5,		\
		ENEMY_FASTSTUPID,15,21,		\
		ENEMY_IRONCHASE,38,21,		\
		ENEMY_IRONCHASE,32,8,		\
		ENEMY_GUNNER,19,2,		\
		ENEMY_GUNNER,39,16,		\
		ENEMY_FASTSTUPID,33,12,		\
		ENEMY_FASTSTUPID,15,4,		\
		ENEMY_GUNNER,8,20,		\
		ENEMY_GUNNER,17,21,		\
		ENEMY_GUNNER,35,3,		\
		ENEMY_IRONCHASE,9,11,		\
		ENEMY_IRONCHASE,23,13,		\
		ENEMY_FASTSTUPID,22,13,		\
		ENEMY_FASTSTUPID,18,23,		\
		ENEMY_GUNNER,34,22,		\
		ENEMY_GUNNER,2,6,		\
		ENEMY_IRONCHASE,26,8,		\
		ENEMY_IRONCHASE,39,11,		\
		ENEMY_IRONCHASE,18,9,		\
		ENEMY_GUNNER,29,7,		\
		ENEMY_FASTSTUPID,2,17,		\
		ENEMY_FASTSTUPID,31,23,		\
		ENEMY_GUNNER,20,7,		\
		ENEMY_GUNNER,22,2,		\
		ENEMY_GUNNER,4,2,		\
		ENEMY_GUNNER,2,4,		\
		ENEMY_GUNNER,12,17,		\
		ENEMY_GUNNER,23,11,		\
		ENEMY_FASTSTUPID,18,12,		\
		ENEMY_FASTSTUPID,34,23,		\
		ENEMY_IRONCHASE,30,17,		\
		ENEMY_GUNNER,16,10,		\
		ENEMY_FASTSTUPID,34,18,		\
		ENEMY_IRONCHASE,39,20,		\
		ENEMY_FASTSTUPID,10,16,		\
		ENEMY_GUNNER,29,8,		\
		ENEMY_GUNNER,14,20,		\
		ENEMY_FASTSTUPID,29,16,		\
		ENEMY_FASTSTUPID,26,12,		\
		ENEMY_GUNNER,11,17,		\
		ENEMY_GUNNER,30,13,		\
		ENEMY_FASTSTUPID,13,24,		\
		ENEMY_FASTSTUPID,9,21,		\
		ENEMY_FASTSTUPID,26,16,		\
		ENEMY_FASTSTUPID,38,20,		\
		ENEMY_FASTSTUPID,28,5,		\
		ENEMY_FASTSTUPID,12,5,		\
		ENEMY_IRONCHASE,19,24,		\
		ENEMY_GUNNER,20,20,		\
		ENEMY_FASTSTUPID,7,20,		\
		ENEMY_FASTSTUPID,12,7,		\
		ENEMY_FASTSTUPID,5,16,		\
		ENEMY_GUNNER,12,24,		\
		ENEMY_FASTSTUPID,11,18,		\
		ENEMY_FASTSTUPID,21,23
wave8	db	8,64,	\
		ENEMY_WORM,38,3,		\
		ENEMY_FASTSTUPID,17,12,		\
		ENEMY_FASTSTUPID,17,8,		\
		ENEMY_IRONCHASE,8,17,		\
		ENEMY_IRONCHASE,8,14,		\
		ENEMY_IRONCHASE,17,10,		\
		ENEMY_FASTSTUPID,23,21,		\
		ENEMY_WORM,19,18,		\
		ENEMY_FASTSTUPID,6,21,		\
		ENEMY_IRONCHASE,12,11,		\
		ENEMY_IRONCHASE,35,22,		\
		ENEMY_FASTSTUPID,19,21,		\
		ENEMY_FASTSTUPID,5,14,		\
		ENEMY_FASTSTUPID,18,10,		\
		ENEMY_IRONCHASE,35,20,		\
		ENEMY_WORM,25,11,		\
		ENEMY_WORM,21,19,		\
		ENEMY_FASTSTUPID,13,22,		\
		ENEMY_WORM,8,3,		\
		ENEMY_FASTSTUPID,37,10,		\
		ENEMY_FASTSTUPID,37,21,		\
		ENEMY_IRONCHASE,36,5,		\
		ENEMY_IRONCHASE,25,12,		\
		ENEMY_IRONCHASE,18,21,		\
		ENEMY_IRONCHASE,16,17,		\
		ENEMY_IRONCHASE,21,22,		\
		ENEMY_FASTSTUPID,8,13,		\
		ENEMY_IRONCHASE,39,7,		\
		ENEMY_IRONCHASE,37,19,		\
		ENEMY_WORM,19,20,		\
		ENEMY_IRONCHASE,33,5,		\
		ENEMY_WORM,23,21,		\
		ENEMY_FASTSTUPID,4,5,		\
		ENEMY_WORM,16,4,		\
		ENEMY_IRONCHASE,3,9,		\
		ENEMY_WORM,23,23,		\
		ENEMY_FASTSTUPID,10,24,		\
		ENEMY_IRONCHASE,8,8,		\
		ENEMY_FASTSTUPID,27,8,		\
		ENEMY_IRONCHASE,35,9,		\
		ENEMY_FASTSTUPID,30,4,		\
		ENEMY_IRONCHASE,23,13,		\
		ENEMY_WORM,11,10,		\
		ENEMY_IRONCHASE,38,19,		\
		ENEMY_WORM,25,6,		\
		ENEMY_IRONCHASE,13,23,		\
		ENEMY_IRONCHASE,31,16,		\
		ENEMY_IRONCHASE,17,13,		\
		ENEMY_IRONCHASE,12,21,		\
		ENEMY_FASTSTUPID,30,4,		\
		ENEMY_IRONCHASE,25,19,		\
		ENEMY_FASTSTUPID,10,23,		\
		ENEMY_WORM,14,3,		\
		ENEMY_IRONCHASE,10,2,		\
		ENEMY_FASTSTUPID,7,14,		\
		ENEMY_FASTSTUPID,14,24,		\
		ENEMY_IRONCHASE,6,8,		\
		ENEMY_WORM,13,8,		\
		ENEMY_FASTSTUPID,38,15,		\
		ENEMY_IRONCHASE,12,23,		\
		ENEMY_IRONCHASE,30,3,		\
		ENEMY_IRONCHASE,4,13,		\
		ENEMY_IRONCHASE,11,6,		\
		ENEMY_IRONCHASE,13,15
wave9	db	9,64,	\
		ENEMY_SUPERDASH,12,21,		\
		ENEMY_SUPERDASH,11,13,		\
		ENEMY_IRONCHASE,21,16,		\
		ENEMY_SUPERDASH,3,23,		\
		ENEMY_SUPERDASH,24,13,		\
		ENEMY_IRONCHASE,7,5,		\
		ENEMY_IRONCHASE,11,9,		\
		ENEMY_IRONCHASE,25,19,		\
		ENEMY_IRONCHASE,18,22,		\
		ENEMY_IRONCHASE,30,6,		\
		ENEMY_SUPERDASH,30,21,		\
		ENEMY_SUPERDASH,6,12,		\
		ENEMY_IRONCHASE,8,8,		\
		ENEMY_WORM,6,7,		\
		ENEMY_IRONCHASE,15,2,		\
		ENEMY_SUPERDASH,34,23,		\
		ENEMY_IRONCHASE,30,3,		\
		ENEMY_IRONCHASE,13,5,		\
		ENEMY_SUPERDASH,34,7,		\
		ENEMY_WORM,11,11,		\
		ENEMY_SUPERDASH,16,17,		\
		ENEMY_SUPERDASH,32,19,		\
		ENEMY_WORM,16,24,		\
		ENEMY_WORM,14,19,		\
		ENEMY_IRONCHASE,37,10,		\
		ENEMY_IRONCHASE,22,2,		\
		ENEMY_IRONCHASE,27,5,		\
		ENEMY_WORM,5,8,		\
		ENEMY_SUPERDASH,4,13,		\
		ENEMY_IRONCHASE,4,13,		\
		ENEMY_IRONCHASE,9,11,		\
		ENEMY_SUPERDASH,38,18,		\
		ENEMY_IRONCHASE,21,18,		\
		ENEMY_IRONCHASE,21,3,		\
		ENEMY_SUPERDASH,30,21,		\
		ENEMY_SUPERDASH,12,14,		\
		ENEMY_IRONCHASE,6,7,		\
		ENEMY_IRONCHASE,30,5,		\
		ENEMY_SUPERDASH,26,3,		\
		ENEMY_IRONCHASE,37,19,		\
		ENEMY_IRONCHASE,37,4,		\
		ENEMY_SUPERDASH,23,2,		\
		ENEMY_IRONCHASE,10,13,		\
		ENEMY_IRONCHASE,30,10,		\
		ENEMY_SUPERDASH,9,20,		\
		ENEMY_SUPERDASH,15,23,		\
		ENEMY_IRONCHASE,7,9,		\
		ENEMY_WORM,16,20,		\
		ENEMY_IRONCHASE,30,4,		\
		ENEMY_IRONCHASE,26,21,		\
		ENEMY_WORM,3,19,		\
		ENEMY_WORM,23,20,		\
		ENEMY_SUPERDASH,11,16,		\
		ENEMY_WORM,28,7,		\
		ENEMY_WORM,11,4,		\
		ENEMY_IRONCHASE,33,2,		\
		ENEMY_IRONCHASE,29,24,		\
		ENEMY_SUPERDASH,25,21,		\
		ENEMY_IRONCHASE,16,23,		\
		ENEMY_IRONCHASE,18,17,		\
		ENEMY_SUPERDASH,17,15,		\
		ENEMY_IRONCHASE,10,14,		\
		ENEMY_SUPERDASH,28,9,		\
		ENEMY_IRONCHASE,24,19
wave10	db	10,72,	\
		ENEMY_WORM,21,13,		\
		ENEMY_MACHGUNNER,37,7,		\
		ENEMY_MACHGUNNER,35,21,		\
		ENEMY_MACHGUNNER,2,10,		\
		ENEMY_WORM,4,3,		\
		ENEMY_MACHGUNNER,10,3,		\
		ENEMY_SUPERDASH,26,5,		\
		ENEMY_MACHGUNNER,5,18,		\
		ENEMY_SUPERDASH,19,12,		\
		ENEMY_WORM,22,15,		\
		ENEMY_WORM,6,11,		\
		ENEMY_SUPERDASH,14,21,		\
		ENEMY_WORM,30,19,		\
		ENEMY_MACHGUNNER,16,18,		\
		ENEMY_MACHGUNNER,28,7,		\
		ENEMY_WORM,13,10,		\
		ENEMY_WORM,15,23,		\
		ENEMY_SUPERDASH,20,7,		\
		ENEMY_SUPERDASH,8,20,		\
		ENEMY_WORM,5,10,		\
		ENEMY_MACHGUNNER,36,23,		\
		ENEMY_WORM,26,21,		\
		ENEMY_MACHGUNNER,20,21,		\
		ENEMY_MACHGUNNER,21,10,		\
		ENEMY_MACHGUNNER,11,5,		\
		ENEMY_MACHGUNNER,15,21,		\
		ENEMY_SUPERDASH,38,3,		\
		ENEMY_MACHGUNNER,3,24,		\
		ENEMY_WORM,19,18,		\
		ENEMY_WORM,19,5,		\
		ENEMY_MACHGUNNER,10,10,		\
		ENEMY_WORM,7,24,		\
		ENEMY_WORM,15,7,		\
		ENEMY_MACHGUNNER,24,19,		\
		ENEMY_WORM,12,8,		\
		ENEMY_MACHGUNNER,18,5,		\
		ENEMY_SUPERDASH,27,8,		\
		ENEMY_MACHGUNNER,4,24,		\
		ENEMY_WORM,24,20,		\
		ENEMY_MACHGUNNER,14,14,		\
		ENEMY_SUPERDASH,19,7,		\
		ENEMY_MACHGUNNER,34,13,		\
		ENEMY_WORM,12,17,		\
		ENEMY_MACHGUNNER,20,9,		\
		ENEMY_WORM,15,13,		\
		ENEMY_MACHGUNNER,2,21,		\
		ENEMY_SUPERDASH,7,8,		\
		ENEMY_SUPERDASH,26,9,		\
		ENEMY_WORM,27,11,		\
		ENEMY_WORM,29,7,		\
		ENEMY_MACHGUNNER,15,7,		\
		ENEMY_SUPERDASH,37,15,		\
		ENEMY_SUPERDASH,38,24,		\
		ENEMY_SUPERDASH,18,6,		\
		ENEMY_MACHGUNNER,32,17,		\
		ENEMY_MACHGUNNER,15,8,		\
		ENEMY_WORM,16,4,		\
		ENEMY_MACHGUNNER,19,2,		\
		ENEMY_WORM,34,24,		\
		ENEMY_MACHGUNNER,9,8,		\
		ENEMY_WORM,8,11,		\
		ENEMY_SUPERDASH,28,3,		\
		ENEMY_SUPERDASH,21,12,		\
		ENEMY_WORM,19,17,		\
		ENEMY_SUPERDASH,35,9,		\
		ENEMY_MACHGUNNER,15,19,		\
		ENEMY_WORM,22,20,		\
		ENEMY_WORM,16,22,		\
		ENEMY_SUPERDASH,37,17,		\
		ENEMY_SUPERDASH,3,12,		\
		ENEMY_SUPERDASH,7,5,		\
		ENEMY_MACHGUNNER,23,9
wave11	db	11,72,	\
		ENEMY_SUPERDASH,28,18,		\
		ENEMY_FRENZYCHASE,7,15,		\
		ENEMY_SUPERDASH,29,22,		\
		ENEMY_FRENZYCHASE,32,11,		\
		ENEMY_FRENZYCHASE,25,15,		\
		ENEMY_SUPERDASH,3,21,		\
		ENEMY_FRENZYCHASE,17,22,		\
		ENEMY_SUPERDASH,34,18,		\
		ENEMY_MACHGUNNER,31,13,		\
		ENEMY_SUPERDASH,15,11,		\
		ENEMY_SUPERDASH,35,3,		\
		ENEMY_MACHGUNNER,3,5,		\
		ENEMY_MACHGUNNER,22,21,		\
		ENEMY_FRENZYCHASE,9,19,		\
		ENEMY_SUPERDASH,7,11,		\
		ENEMY_MACHGUNNER,9,24,		\
		ENEMY_FRENZYCHASE,20,15,		\
		ENEMY_SUPERDASH,31,24,		\
		ENEMY_FRENZYCHASE,30,20,		\
		ENEMY_MACHGUNNER,9,2,		\
		ENEMY_FRENZYCHASE,6,7,		\
		ENEMY_SUPERDASH,20,10,		\
		ENEMY_MACHGUNNER,3,12,		\
		ENEMY_MACHGUNNER,13,14,		\
		ENEMY_SUPERDASH,14,23,		\
		ENEMY_MACHGUNNER,6,3,		\
		ENEMY_SUPERDASH,36,18,		\
		ENEMY_SUPERDASH,37,15,		\
		ENEMY_SUPERDASH,6,23,		\
		ENEMY_SUPERDASH,18,10,		\
		ENEMY_MACHGUNNER,39,8,		\
		ENEMY_SUPERDASH,16,18,		\
		ENEMY_MACHGUNNER,4,4,		\
		ENEMY_SUPERDASH,10,21,		\
		ENEMY_SUPERDASH,17,10,		\
		ENEMY_FRENZYCHASE,18,3,		\
		ENEMY_MACHGUNNER,11,6,		\
		ENEMY_MACHGUNNER,8,22,		\
		ENEMY_MACHGUNNER,12,11,		\
		ENEMY_MACHGUNNER,22,7,		\
		ENEMY_FRENZYCHASE,26,7,		\
		ENEMY_MACHGUNNER,21,19,		\
		ENEMY_FRENZYCHASE,14,21,		\
		ENEMY_FRENZYCHASE,37,13,		\
		ENEMY_MACHGUNNER,31,17,		\
		ENEMY_MACHGUNNER,34,10,		\
		ENEMY_SUPERDASH,8,22,		\
		ENEMY_MACHGUNNER,5,12,		\
		ENEMY_FRENZYCHASE,34,21,		\
		ENEMY_FRENZYCHASE,35,19,		\
		ENEMY_MACHGUNNER,39,19,		\
		ENEMY_MACHGUNNER,22,3,		\
		ENEMY_FRENZYCHASE,28,7,		\
		ENEMY_MACHGUNNER,19,12,		\
		ENEMY_SUPERDASH,19,21,		\
		ENEMY_MACHGUNNER,36,12,		\
		ENEMY_SUPERDASH,19,10,		\
		ENEMY_SUPERDASH,32,5,		\
		ENEMY_FRENZYCHASE,37,10,		\
		ENEMY_SUPERDASH,13,21,		\
		ENEMY_MACHGUNNER,25,7,		\
		ENEMY_MACHGUNNER,17,5,		\
		ENEMY_SUPERDASH,19,12,		\
		ENEMY_FRENZYCHASE,10,10,		\
		ENEMY_SUPERDASH,17,2,		\
		ENEMY_FRENZYCHASE,14,8,		\
		ENEMY_SUPERDASH,7,12,		\
		ENEMY_MACHGUNNER,22,7,		\
		ENEMY_MACHGUNNER,7,9,		\
		ENEMY_MACHGUNNER,28,7,		\
		ENEMY_SUPERDASH,9,2,		\
		ENEMY_SUPERDASH,14,7
wave12	db	12,72,	\
		ENEMY_FRENZYCHASE,15,15,		\
		ENEMY_STEELCHASE,22,21,		\
		ENEMY_FRENZYCHASE,6,3,		\
		ENEMY_FRENZYCHASE,36,11,		\
		ENEMY_MACHGUNNER,5,18,		\
		ENEMY_STEELCHASE,8,6,		\
		ENEMY_MACHGUNNER,24,24,		\
		ENEMY_MACHGUNNER,33,19,		\
		ENEMY_FRENZYCHASE,38,9,		\
		ENEMY_FRENZYCHASE,36,8,		\
		ENEMY_FRENZYCHASE,31,17,		\
		ENEMY_STEELCHASE,25,8,		\
		ENEMY_MACHGUNNER,36,15,		\
		ENEMY_FRENZYCHASE,24,15,		\
		ENEMY_FRENZYCHASE,12,22,		\
		ENEMY_MACHGUNNER,27,5,		\
		ENEMY_MACHGUNNER,29,18,		\
		ENEMY_MACHGUNNER,22,18,		\
		ENEMY_STEELCHASE,21,10,		\
		ENEMY_STEELCHASE,21,12,		\
		ENEMY_STEELCHASE,36,23,		\
		ENEMY_MACHGUNNER,39,7,		\
		ENEMY_STEELCHASE,13,4,		\
		ENEMY_FRENZYCHASE,37,11,		\
		ENEMY_STEELCHASE,24,18,		\
		ENEMY_FRENZYCHASE,11,17,		\
		ENEMY_MACHGUNNER,25,2,		\
		ENEMY_STEELCHASE,9,10,		\
		ENEMY_FRENZYCHASE,30,22,		\
		ENEMY_FRENZYCHASE,39,15,		\
		ENEMY_FRENZYCHASE,9,11,		\
		ENEMY_MACHGUNNER,23,2,		\
		ENEMY_STEELCHASE,6,7,		\
		ENEMY_MACHGUNNER,6,16,		\
		ENEMY_STEELCHASE,21,16,		\
		ENEMY_MACHGUNNER,3,18,		\
		ENEMY_MACHGUNNER,28,19,		\
		ENEMY_FRENZYCHASE,34,5,		\
		ENEMY_FRENZYCHASE,33,17,		\
		ENEMY_FRENZYCHASE,2,19,		\
		ENEMY_MACHGUNNER,11,14,		\
		ENEMY_MACHGUNNER,18,13,		\
		ENEMY_MACHGUNNER,25,5,		\
		ENEMY_FRENZYCHASE,5,5,		\
		ENEMY_MACHGUNNER,18,23,		\
		ENEMY_MACHGUNNER,17,2,		\
		ENEMY_STEELCHASE,14,12,		\
		ENEMY_STEELCHASE,20,21,		\
		ENEMY_MACHGUNNER,12,17,		\
		ENEMY_FRENZYCHASE,31,16,		\
		ENEMY_FRENZYCHASE,6,21,		\
		ENEMY_FRENZYCHASE,9,16,		\
		ENEMY_MACHGUNNER,28,6,		\
		ENEMY_FRENZYCHASE,12,9,		\
		ENEMY_FRENZYCHASE,38,4,		\
		ENEMY_STEELCHASE,19,24,		\
		ENEMY_MACHGUNNER,3,21,		\
		ENEMY_MACHGUNNER,4,12,		\
		ENEMY_FRENZYCHASE,22,16,		\
		ENEMY_MACHGUNNER,26,24,		\
		ENEMY_FRENZYCHASE,29,11,		\
		ENEMY_FRENZYCHASE,10,6,		\
		ENEMY_FRENZYCHASE,7,20,		\
		ENEMY_STEELCHASE,38,14,		\
		ENEMY_STEELCHASE,35,18,		\
		ENEMY_STEELCHASE,10,6,		\
		ENEMY_MACHGUNNER,34,15,		\
		ENEMY_STEELCHASE,27,24,		\
		ENEMY_FRENZYCHASE,27,24,		\
		ENEMY_STEELCHASE,21,17,		\
		ENEMY_FRENZYCHASE,2,17,		\
		ENEMY_FRENZYCHASE,16,13
wave13	db	13,72,	\
		ENEMY_FRENZYCHASE,23,10,		\
		ENEMY_FRENZYCHASE,7,2,		\
		ENEMY_STEELCHASE,3,2,		\
		ENEMY_MODESTWORM,30,20,		\
		ENEMY_STEELCHASE,31,5,		\
		ENEMY_FRENZYCHASE,4,12,		\
		ENEMY_MODESTWORM,7,2,		\
		ENEMY_FRENZYCHASE,17,5,		\
		ENEMY_STEELCHASE,8,10,		\
		ENEMY_MODESTWORM,28,12,		\
		ENEMY_FRENZYCHASE,34,16,		\
		ENEMY_FRENZYCHASE,21,13,		\
		ENEMY_STEELCHASE,35,8,		\
		ENEMY_FRENZYCHASE,9,13,		\
		ENEMY_STEELCHASE,30,4,		\
		ENEMY_STEELCHASE,38,23,		\
		ENEMY_STEELCHASE,34,18,		\
		ENEMY_STEELCHASE,3,15,		\
		ENEMY_FRENZYCHASE,13,19,		\
		ENEMY_STEELCHASE,17,2,		\
		ENEMY_STEELCHASE,8,10,		\
		ENEMY_MODESTWORM,18,24,		\
		ENEMY_STEELCHASE,24,10,		\
		ENEMY_MODESTWORM,5,5,		\
		ENEMY_FRENZYCHASE,7,20,		\
		ENEMY_FRENZYCHASE,25,15,		\
		ENEMY_FRENZYCHASE,28,13,		\
		ENEMY_MODESTWORM,5,21,		\
		ENEMY_STEELCHASE,32,19,		\
		ENEMY_FRENZYCHASE,7,18,		\
		ENEMY_STEELCHASE,36,21,		\
		ENEMY_STEELCHASE,20,20,		\
		ENEMY_STEELCHASE,28,21,		\
		ENEMY_FRENZYCHASE,17,19,		\
		ENEMY_FRENZYCHASE,2,9,		\
		ENEMY_MODESTWORM,38,6,		\
		ENEMY_MODESTWORM,33,20,		\
		ENEMY_STEELCHASE,28,22,		\
		ENEMY_STEELCHASE,11,18,		\
		ENEMY_FRENZYCHASE,15,21,		\
		ENEMY_FRENZYCHASE,10,19,		\
		ENEMY_MODESTWORM,37,20,		\
		ENEMY_FRENZYCHASE,25,16,		\
		ENEMY_MODESTWORM,11,20,		\
		ENEMY_MODESTWORM,30,4,		\
		ENEMY_MODESTWORM,37,15,		\
		ENEMY_MODESTWORM,39,10,		\
		ENEMY_STEELCHASE,37,10,		\
		ENEMY_MODESTWORM,33,18,		\
		ENEMY_MODESTWORM,22,6,		\
		ENEMY_STEELCHASE,29,19,		\
		ENEMY_FRENZYCHASE,14,3,		\
		ENEMY_FRENZYCHASE,28,20,		\
		ENEMY_STEELCHASE,31,8,		\
		ENEMY_STEELCHASE,24,4,		\
		ENEMY_STEELCHASE,18,4,		\
		ENEMY_MODESTWORM,13,21,		\
		ENEMY_FRENZYCHASE,22,9,		\
		ENEMY_STEELCHASE,17,3,		\
		ENEMY_MODESTWORM,27,15,		\
		ENEMY_MODESTWORM,32,19,		\
		ENEMY_FRENZYCHASE,28,20,		\
		ENEMY_MODESTWORM,31,6,		\
		ENEMY_FRENZYCHASE,38,6,		\
		ENEMY_STEELCHASE,17,11,		\
		ENEMY_MODESTWORM,14,10,		\
		ENEMY_FRENZYCHASE,27,8,		\
		ENEMY_MODESTWORM,19,16,		\
		ENEMY_FRENZYCHASE,17,6,		\
		ENEMY_MODESTWORM,7,6,		\
		ENEMY_FRENZYCHASE,28,16,		\
		ENEMY_FRENZYCHASE,37,19
wave14	db	14,72,	\
		ENEMY_STEELCHASE,38,23,		\
		ENEMY_MODESTWORM,22,11,		\
		ENEMY_MODESTWORM,20,3,		\
		ENEMY_STEELCHASE,14,9,		\
		ENEMY_HYPERSTUPID,37,14,		\
		ENEMY_HYPERSTUPID,9,16,		\
		ENEMY_STEELCHASE,5,6,		\
		ENEMY_MODESTWORM,28,3,		\
		ENEMY_MODESTWORM,30,3,		\
		ENEMY_HYPERSTUPID,10,13,		\
		ENEMY_HYPERSTUPID,4,12,		\
		ENEMY_HYPERSTUPID,26,14,		\
		ENEMY_STEELCHASE,38,24,		\
		ENEMY_HYPERSTUPID,19,12,		\
		ENEMY_STEELCHASE,38,11,		\
		ENEMY_STEELCHASE,33,9,		\
		ENEMY_MODESTWORM,10,13,		\
		ENEMY_HYPERSTUPID,11,13,		\
		ENEMY_HYPERSTUPID,36,23,		\
		ENEMY_STEELCHASE,29,18,		\
		ENEMY_HYPERSTUPID,25,3,		\
		ENEMY_STEELCHASE,13,12,		\
		ENEMY_HYPERSTUPID,9,19,		\
		ENEMY_HYPERSTUPID,35,17,		\
		ENEMY_STEELCHASE,34,17,		\
		ENEMY_STEELCHASE,3,8,		\
		ENEMY_HYPERSTUPID,36,2,		\
		ENEMY_STEELCHASE,24,6,		\
		ENEMY_HYPERSTUPID,30,5,		\
		ENEMY_HYPERSTUPID,3,7,		\
		ENEMY_STEELCHASE,33,7,		\
		ENEMY_STEELCHASE,12,6,		\
		ENEMY_MODESTWORM,20,21,		\
		ENEMY_HYPERSTUPID,19,11,		\
		ENEMY_STEELCHASE,2,12,		\
		ENEMY_HYPERSTUPID,7,13,		\
		ENEMY_STEELCHASE,33,18,		\
		ENEMY_STEELCHASE,28,2,		\
		ENEMY_MODESTWORM,25,23,		\
		ENEMY_MODESTWORM,5,9,		\
		ENEMY_STEELCHASE,15,15,		\
		ENEMY_HYPERSTUPID,19,22,		\
		ENEMY_HYPERSTUPID,27,14,		\
		ENEMY_HYPERSTUPID,30,11,		\
		ENEMY_MODESTWORM,8,7,		\
		ENEMY_HYPERSTUPID,20,9,		\
		ENEMY_HYPERSTUPID,9,24,		\
		ENEMY_MODESTWORM,35,18,		\
		ENEMY_HYPERSTUPID,5,16,		\
		ENEMY_HYPERSTUPID,6,23,		\
		ENEMY_HYPERSTUPID,16,21,		\
		ENEMY_HYPERSTUPID,18,20,		\
		ENEMY_STEELCHASE,7,5,		\
		ENEMY_MODESTWORM,33,20,		\
		ENEMY_HYPERSTUPID,28,22,		\
		ENEMY_HYPERSTUPID,7,23,		\
		ENEMY_MODESTWORM,24,10,		\
		ENEMY_MODESTWORM,36,5,		\
		ENEMY_MODESTWORM,22,21,		\
		ENEMY_STEELCHASE,22,12,		\
		ENEMY_STEELCHASE,26,18,		\
		ENEMY_MODESTWORM,25,2,		\
		ENEMY_HYPERSTUPID,4,20,		\
		ENEMY_STEELCHASE,11,24,		\
		ENEMY_HYPERSTUPID,9,14,		\
		ENEMY_HYPERSTUPID,24,14,		\
		ENEMY_MODESTWORM,22,13,		\
		ENEMY_STEELCHASE,26,22,		\
		ENEMY_HYPERSTUPID,24,4,		\
		ENEMY_MODESTWORM,32,9,		\
		ENEMY_MODESTWORM,4,14,		\
		ENEMY_HYPERSTUPID,15,6
wave15	db	15,96,	\
		ENEMY_BOUNCEGUNNER,8,2,		\
		ENEMY_MODESTWORM,37,2,		\
		ENEMY_MODESTWORM,31,18,		\
		ENEMY_HYPERSTUPID,39,2,		\
		ENEMY_HYPERSTUPID,36,11,		\
		ENEMY_HYPERSTUPID,35,17,		\
		ENEMY_HYPERSTUPID,34,9,		\
		ENEMY_BOUNCEGUNNER,38,12,		\
		ENEMY_BOUNCEGUNNER,24,13,		\
		ENEMY_MODESTWORM,25,19,		\
		ENEMY_HYPERSTUPID,23,14,		\
		ENEMY_BOUNCEGUNNER,5,3,		\
		ENEMY_MODESTWORM,3,19,		\
		ENEMY_MODESTWORM,31,14,		\
		ENEMY_MODESTWORM,3,13,		\
		ENEMY_HYPERSTUPID,27,24,		\
		ENEMY_HYPERSTUPID,15,6,		\
		ENEMY_HYPERSTUPID,18,19,		\
		ENEMY_BOUNCEGUNNER,29,13,		\
		ENEMY_MODESTWORM,23,18,		\
		ENEMY_BOUNCEGUNNER,9,21,		\
		ENEMY_HYPERSTUPID,26,6,		\
		ENEMY_HYPERSTUPID,34,15,		\
		ENEMY_BOUNCEGUNNER,13,15,		\
		ENEMY_MODESTWORM,17,18,		\
		ENEMY_MODESTWORM,39,17,		\
		ENEMY_BOUNCEGUNNER,3,20,		\
		ENEMY_HYPERSTUPID,17,20,		\
		ENEMY_BOUNCEGUNNER,10,21,		\
		ENEMY_HYPERSTUPID,24,7,		\
		ENEMY_HYPERSTUPID,6,19,		\
		ENEMY_BOUNCEGUNNER,35,5,		\
		ENEMY_BOUNCEGUNNER,34,16,		\
		ENEMY_HYPERSTUPID,4,2,		\
		ENEMY_MODESTWORM,38,24,		\
		ENEMY_HYPERSTUPID,18,11,		\
		ENEMY_MODESTWORM,17,2,		\
		ENEMY_BOUNCEGUNNER,25,13,		\
		ENEMY_BOUNCEGUNNER,24,14,		\
		ENEMY_BOUNCEGUNNER,28,14,		\
		ENEMY_MODESTWORM,38,23,		\
		ENEMY_BOUNCEGUNNER,28,24,		\
		ENEMY_HYPERSTUPID,29,12,		\
		ENEMY_MODESTWORM,22,17,		\
		ENEMY_MODESTWORM,6,5,		\
		ENEMY_BOUNCEGUNNER,29,24,		\
		ENEMY_HYPERSTUPID,29,15,		\
		ENEMY_HYPERSTUPID,5,12,		\
		ENEMY_MODESTWORM,22,9,		\
		ENEMY_HYPERSTUPID,11,17,		\
		ENEMY_MODESTWORM,3,22,		\
		ENEMY_BOUNCEGUNNER,24,13,		\
		ENEMY_BOUNCEGUNNER,27,9,		\
		ENEMY_BOUNCEGUNNER,14,15,		\
		ENEMY_BOUNCEGUNNER,22,24,		\
		ENEMY_BOUNCEGUNNER,4,4,		\
		ENEMY_HYPERSTUPID,38,3,		\
		ENEMY_MODESTWORM,9,20,		\
		ENEMY_HYPERSTUPID,36,7,		\
		ENEMY_MODESTWORM,29,23,		\
		ENEMY_HYPERSTUPID,20,4,		\
		ENEMY_MODESTWORM,24,17,		\
		ENEMY_HYPERSTUPID,15,10,		\
		ENEMY_MODESTWORM,39,7,		\
		ENEMY_BOUNCEGUNNER,30,8,		\
		ENEMY_BOUNCEGUNNER,12,4,		\
		ENEMY_MODESTWORM,26,20,		\
		ENEMY_BOUNCEGUNNER,31,19,		\
		ENEMY_BOUNCEGUNNER,2,24,		\
		ENEMY_BOUNCEGUNNER,27,14,		\
		ENEMY_HYPERSTUPID,10,2,		\
		ENEMY_MODESTWORM,5,12,		\
		ENEMY_BOUNCEGUNNER,23,8,		\
		ENEMY_MODESTWORM,20,20,		\
		ENEMY_HYPERSTUPID,32,14,		\
		ENEMY_HYPERSTUPID,26,8,		\
		ENEMY_BOUNCEGUNNER,30,16,		\
		ENEMY_BOUNCEGUNNER,20,7,		\
		ENEMY_BOUNCEGUNNER,25,5,		\
		ENEMY_HYPERSTUPID,23,24,		\
		ENEMY_BOUNCEGUNNER,19,15,		\
		ENEMY_BOUNCEGUNNER,14,2,		\
		ENEMY_HYPERSTUPID,11,12,		\
		ENEMY_HYPERSTUPID,22,19,		\
		ENEMY_MODESTWORM,39,14,		\
		ENEMY_BOUNCEGUNNER,31,15,		\
		ENEMY_HYPERSTUPID,29,4,		\
		ENEMY_HYPERSTUPID,33,8,		\
		ENEMY_BOUNCEGUNNER,3,8,		\
		ENEMY_MODESTWORM,24,9,		\
		ENEMY_HYPERSTUPID,5,22,		\
		ENEMY_BOUNCEGUNNER,39,18,		\
		ENEMY_HYPERSTUPID,9,8,		\
		ENEMY_BOUNCEGUNNER,19,12,		\
		ENEMY_HYPERSTUPID,18,13,		\
		ENEMY_BOUNCEGUNNER,7,10
wave16	db	16,96,	\
		ENEMY_BOUNCEGUNNER,14,16,		\
		ENEMY_INSANEWORM,30,4,		\
		ENEMY_BOUNCEGUNNER,15,22,		\
		ENEMY_BOUNCEGUNNER,16,16,		\
		ENEMY_HYPERSTUPID,19,19,		\
		ENEMY_BOUNCEGUNNER,33,6,		\
		ENEMY_HYPERSTUPID,21,22,		\
		ENEMY_HYPERSTUPID,20,21,		\
		ENEMY_INSANEWORM,21,3,		\
		ENEMY_BOUNCEGUNNER,32,11,		\
		ENEMY_INSANEWORM,21,22,		\
		ENEMY_BOUNCEGUNNER,34,20,		\
		ENEMY_INSANEWORM,5,17,		\
		ENEMY_INSANEWORM,32,6,		\
		ENEMY_HYPERSTUPID,12,15,		\
		ENEMY_HYPERSTUPID,5,23,		\
		ENEMY_INSANEWORM,10,16,		\
		ENEMY_INSANEWORM,6,22,		\
		ENEMY_HYPERSTUPID,30,21,		\
		ENEMY_INSANEWORM,20,23,		\
		ENEMY_INSANEWORM,11,5,		\
		ENEMY_HYPERSTUPID,2,5,		\
		ENEMY_INSANEWORM,2,6,		\
		ENEMY_INSANEWORM,9,3,		\
		ENEMY_INSANEWORM,31,10,		\
		ENEMY_BOUNCEGUNNER,20,22,		\
		ENEMY_INSANEWORM,27,9,		\
		ENEMY_BOUNCEGUNNER,36,24,		\
		ENEMY_INSANEWORM,16,16,		\
		ENEMY_INSANEWORM,38,19,		\
		ENEMY_BOUNCEGUNNER,12,9,		\
		ENEMY_HYPERSTUPID,2,6,		\
		ENEMY_BOUNCEGUNNER,30,24,		\
		ENEMY_HYPERSTUPID,13,5,		\
		ENEMY_HYPERSTUPID,9,15,		\
		ENEMY_HYPERSTUPID,18,19,		\
		ENEMY_BOUNCEGUNNER,38,10,		\
		ENEMY_HYPERSTUPID,15,23,		\
		ENEMY_HYPERSTUPID,2,14,		\
		ENEMY_HYPERSTUPID,30,10,		\
		ENEMY_INSANEWORM,18,17,		\
		ENEMY_INSANEWORM,39,10,		\
		ENEMY_HYPERSTUPID,16,9,		\
		ENEMY_INSANEWORM,14,5,		\
		ENEMY_HYPERSTUPID,31,15,		\
		ENEMY_BOUNCEGUNNER,36,8,		\
		ENEMY_INSANEWORM,2,24,		\
		ENEMY_BOUNCEGUNNER,9,18,		\
		ENEMY_INSANEWORM,31,13,		\
		ENEMY_BOUNCEGUNNER,12,6,		\
		ENEMY_BOUNCEGUNNER,14,22,		\
		ENEMY_INSANEWORM,22,12,		\
		ENEMY_BOUNCEGUNNER,20,9,		\
		ENEMY_HYPERSTUPID,3,17,		\
		ENEMY_BOUNCEGUNNER,22,24,		\
		ENEMY_BOUNCEGUNNER,12,12,		\
		ENEMY_HYPERSTUPID,21,20,		\
		ENEMY_INSANEWORM,14,4,		\
		ENEMY_BOUNCEGUNNER,15,11,		\
		ENEMY_HYPERSTUPID,36,17,		\
		ENEMY_BOUNCEGUNNER,32,7,		\
		ENEMY_BOUNCEGUNNER,16,14,		\
		ENEMY_INSANEWORM,6,3,		\
		ENEMY_BOUNCEGUNNER,35,2,		\
		ENEMY_INSANEWORM,7,23,		\
		ENEMY_HYPERSTUPID,5,15,		\
		ENEMY_BOUNCEGUNNER,3,10,		\
		ENEMY_BOUNCEGUNNER,33,13,		\
		ENEMY_INSANEWORM,39,19,		\
		ENEMY_BOUNCEGUNNER,35,11,		\
		ENEMY_INSANEWORM,6,7,		\
		ENEMY_INSANEWORM,7,10,		\
		ENEMY_HYPERSTUPID,20,11,		\
		ENEMY_INSANEWORM,35,2,		\
		ENEMY_HYPERSTUPID,12,17,		\
		ENEMY_BOUNCEGUNNER,12,14,		\
		ENEMY_INSANEWORM,31,9,		\
		ENEMY_BOUNCEGUNNER,32,15,		\
		ENEMY_INSANEWORM,24,2,		\
		ENEMY_BOUNCEGUNNER,36,13,		\
		ENEMY_BOUNCEGUNNER,29,3,		\
		ENEMY_INSANEWORM,8,8,		\
		ENEMY_HYPERSTUPID,27,3,		\
		ENEMY_BOUNCEGUNNER,11,22,		\
		ENEMY_HYPERSTUPID,23,24,		\
		ENEMY_BOUNCEGUNNER,35,15,		\
		ENEMY_BOUNCEGUNNER,13,3,		\
		ENEMY_INSANEWORM,8,19,		\
		ENEMY_INSANEWORM,32,8,		\
		ENEMY_INSANEWORM,28,23,		\
		ENEMY_HYPERSTUPID,36,21,		\
		ENEMY_HYPERSTUPID,10,9,		\
		ENEMY_INSANEWORM,35,10,		\
		ENEMY_HYPERSTUPID,21,12,		\
		ENEMY_BOUNCEGUNNER,21,15,		\
		ENEMY_HYPERSTUPID,18,23
wave17	db	17,96,	\
		ENEMY_INSANEWORM,3,8,		\
		ENEMY_MEGAWORM,9,10,		\
		ENEMY_MEGAWORM,20,5,		\
		ENEMY_BOUNCEGUNNER,36,21,		\
		ENEMY_MEGAWORM,14,15,		\
		ENEMY_INSANEWORM,2,2,		\
		ENEMY_INSANEWORM,28,23,		\
		ENEMY_INSANEWORM,9,23,		\
		ENEMY_MEGAWORM,17,22,		\
		ENEMY_MEGAWORM,16,11,		\
		ENEMY_BOUNCEGUNNER,17,20,		\
		ENEMY_INSANEWORM,24,14,		\
		ENEMY_INSANEWORM,13,6,		\
		ENEMY_MEGAWORM,27,18,		\
		ENEMY_INSANEWORM,12,15,		\
		ENEMY_INSANEWORM,28,4,		\
		ENEMY_BOUNCEGUNNER,22,3,		\
		ENEMY_BOUNCEGUNNER,23,11,		\
		ENEMY_INSANEWORM,12,11,		\
		ENEMY_MEGAWORM,29,23,		\
		ENEMY_BOUNCEGUNNER,16,14,		\
		ENEMY_INSANEWORM,12,15,		\
		ENEMY_INSANEWORM,20,11,		\
		ENEMY_INSANEWORM,12,6,		\
		ENEMY_MEGAWORM,8,8,		\
		ENEMY_BOUNCEGUNNER,29,13,		\
		ENEMY_INSANEWORM,37,10,		\
		ENEMY_BOUNCEGUNNER,37,14,		\
		ENEMY_MEGAWORM,2,8,		\
		ENEMY_INSANEWORM,8,13,		\
		ENEMY_MEGAWORM,15,16,		\
		ENEMY_INSANEWORM,12,19,		\
		ENEMY_BOUNCEGUNNER,2,24,		\
		ENEMY_BOUNCEGUNNER,6,12,		\
		ENEMY_BOUNCEGUNNER,15,23,		\
		ENEMY_BOUNCEGUNNER,39,9,		\
		ENEMY_MEGAWORM,25,5,		\
		ENEMY_INSANEWORM,38,6,		\
		ENEMY_BOUNCEGUNNER,9,10,		\
		ENEMY_MEGAWORM,16,2,		\
		ENEMY_MEGAWORM,16,3,		\
		ENEMY_INSANEWORM,31,17,		\
		ENEMY_BOUNCEGUNNER,4,3,		\
		ENEMY_BOUNCEGUNNER,38,24,		\
		ENEMY_INSANEWORM,34,3,		\
		ENEMY_INSANEWORM,12,16,		\
		ENEMY_MEGAWORM,13,12,		\
		ENEMY_MEGAWORM,37,12,		\
		ENEMY_INSANEWORM,5,23,		\
		ENEMY_MEGAWORM,4,4,		\
		ENEMY_MEGAWORM,18,5,		\
		ENEMY_BOUNCEGUNNER,17,22,		\
		ENEMY_INSANEWORM,23,16,		\
		ENEMY_BOUNCEGUNNER,5,21,		\
		ENEMY_BOUNCEGUNNER,23,14,		\
		ENEMY_INSANEWORM,12,3,		\
		ENEMY_INSANEWORM,12,20,		\
		ENEMY_MEGAWORM,16,11,		\
		ENEMY_INSANEWORM,39,13,		\
		ENEMY_BOUNCEGUNNER,31,3,		\
		ENEMY_BOUNCEGUNNER,2,10,		\
		ENEMY_MEGAWORM,29,20,		\
		ENEMY_BOUNCEGUNNER,37,24,		\
		ENEMY_INSANEWORM,26,13,		\
		ENEMY_BOUNCEGUNNER,22,9,		\
		ENEMY_MEGAWORM,7,24,		\
		ENEMY_BOUNCEGUNNER,2,21,		\
		ENEMY_MEGAWORM,20,20,		\
		ENEMY_MEGAWORM,38,24,		\
		ENEMY_INSANEWORM,8,23,		\
		ENEMY_BOUNCEGUNNER,13,18,		\
		ENEMY_BOUNCEGUNNER,25,21,		\
		ENEMY_INSANEWORM,21,2,		\
		ENEMY_INSANEWORM,37,19,		\
		ENEMY_MEGAWORM,6,10,		\
		ENEMY_MEGAWORM,16,17,		\
		ENEMY_BOUNCEGUNNER,6,11,		\
		ENEMY_MEGAWORM,38,14,		\
		ENEMY_BOUNCEGUNNER,17,24,		\
		ENEMY_BOUNCEGUNNER,3,7,		\
		ENEMY_MEGAWORM,4,12,		\
		ENEMY_BOUNCEGUNNER,17,18,		\
		ENEMY_INSANEWORM,28,24,		\
		ENEMY_BOUNCEGUNNER,13,16,		\
		ENEMY_MEGAWORM,9,20,		\
		ENEMY_INSANEWORM,37,18,		\
		ENEMY_MEGAWORM,14,6,		\
		ENEMY_MEGAWORM,13,9,		\
		ENEMY_INSANEWORM,19,4,		\
		ENEMY_INSANEWORM,39,16,		\
		ENEMY_INSANEWORM,35,4,		\
		ENEMY_BOUNCEGUNNER,2,9,		\
		ENEMY_INSANEWORM,16,20,		\
		ENEMY_MEGAWORM,15,20,		\
		ENEMY_MEGAWORM,22,4,		\
		ENEMY_BOUNCEGUNNER,25,10
wave18	db	18,96,	\
		ENEMY_SHOTGUNNER,33,18,		\
		ENEMY_MEGAWORM,7,5,		\
		ENEMY_SHOTGUNNER,12,4,		\
		ENEMY_SHOTGUNNER,30,15,		\
		ENEMY_SHOTGUNNER,23,13,		\
		ENEMY_SHOTGUNNER,26,2,		\
		ENEMY_SHOTGUNNER,33,18,		\
		ENEMY_INSANEWORM,19,7,		\
		ENEMY_INSANEWORM,36,3,		\
		ENEMY_MEGAWORM,13,24,		\
		ENEMY_SHOTGUNNER,18,10,		\
		ENEMY_MEGAWORM,36,19,		\
		ENEMY_SHOTGUNNER,38,24,		\
		ENEMY_MEGAWORM,26,22,		\
		ENEMY_MEGAWORM,33,4,		\
		ENEMY_INSANEWORM,12,22,		\
		ENEMY_SHOTGUNNER,15,19,		\
		ENEMY_INSANEWORM,4,2,		\
		ENEMY_INSANEWORM,13,6,		\
		ENEMY_SHOTGUNNER,8,12,		\
		ENEMY_MEGAWORM,23,9,		\
		ENEMY_MEGAWORM,7,6,		\
		ENEMY_MEGAWORM,11,19,		\
		ENEMY_MEGAWORM,33,23,		\
		ENEMY_MEGAWORM,14,17,		\
		ENEMY_SHOTGUNNER,13,13,		\
		ENEMY_INSANEWORM,9,22,		\
		ENEMY_SHOTGUNNER,30,11,		\
		ENEMY_INSANEWORM,26,15,		\
		ENEMY_MEGAWORM,8,18,		\
		ENEMY_MEGAWORM,29,4,		\
		ENEMY_SHOTGUNNER,9,2,		\
		ENEMY_SHOTGUNNER,30,16,		\
		ENEMY_MEGAWORM,35,20,		\
		ENEMY_MEGAWORM,31,10,		\
		ENEMY_MEGAWORM,18,10,		\
		ENEMY_MEGAWORM,39,5,		\
		ENEMY_SHOTGUNNER,31,16,		\
		ENEMY_MEGAWORM,18,10,		\
		ENEMY_SHOTGUNNER,9,7,		\
		ENEMY_INSANEWORM,4,19,		\
		ENEMY_MEGAWORM,33,10,		\
		ENEMY_INSANEWORM,27,17,		\
		ENEMY_INSANEWORM,39,9,		\
		ENEMY_MEGAWORM,22,3,		\
		ENEMY_MEGAWORM,4,5,		\
		ENEMY_SHOTGUNNER,11,3,		\
		ENEMY_INSANEWORM,5,5,		\
		ENEMY_MEGAWORM,18,6,		\
		ENEMY_SHOTGUNNER,31,13,		\
		ENEMY_SHOTGUNNER,35,4,		\
		ENEMY_MEGAWORM,5,12,		\
		ENEMY_INSANEWORM,39,14,		\
		ENEMY_MEGAWORM,19,5,		\
		ENEMY_SHOTGUNNER,18,19,		\
		ENEMY_SHOTGUNNER,26,13,		\
		ENEMY_SHOTGUNNER,33,15,		\
		ENEMY_SHOTGUNNER,9,7,		\
		ENEMY_INSANEWORM,27,2,		\
		ENEMY_INSANEWORM,7,23,		\
		ENEMY_SHOTGUNNER,15,11,		\
		ENEMY_SHOTGUNNER,19,14,		\
		ENEMY_SHOTGUNNER,12,24,		\
		ENEMY_MEGAWORM,24,18,		\
		ENEMY_INSANEWORM,15,7,		\
		ENEMY_INSANEWORM,36,14,		\
		ENEMY_MEGAWORM,3,21,		\
		ENEMY_SHOTGUNNER,33,15,		\
		ENEMY_SHOTGUNNER,2,4,		\
		ENEMY_INSANEWORM,23,9,		\
		ENEMY_MEGAWORM,11,15,		\
		ENEMY_MEGAWORM,34,14,		\
		ENEMY_MEGAWORM,35,11,		\
		ENEMY_INSANEWORM,22,4,		\
		ENEMY_MEGAWORM,13,3,		\
		ENEMY_INSANEWORM,32,24,		\
		ENEMY_INSANEWORM,16,8,		\
		ENEMY_INSANEWORM,13,10,		\
		ENEMY_SHOTGUNNER,32,23,		\
		ENEMY_MEGAWORM,15,10,		\
		ENEMY_SHOTGUNNER,13,8,		\
		ENEMY_SHOTGUNNER,18,10,		\
		ENEMY_SHOTGUNNER,27,2,		\
		ENEMY_MEGAWORM,31,16,		\
		ENEMY_MEGAWORM,24,16,		\
		ENEMY_INSANEWORM,7,17,		\
		ENEMY_MEGAWORM,29,6,		\
		ENEMY_SHOTGUNNER,38,6,		\
		ENEMY_SHOTGUNNER,24,21,		\
		ENEMY_INSANEWORM,20,5,		\
		ENEMY_MEGAWORM,32,12,		\
		ENEMY_SHOTGUNNER,37,13,		\
		ENEMY_MEGAWORM,8,17,		\
		ENEMY_MEGAWORM,26,17,		\
		ENEMY_INSANEWORM,18,24,		\
		ENEMY_MEGAWORM,21,16
wave19	db	19,96,	\
		ENEMY_TITANCHASE,6,22,		\
		ENEMY_TITANCHASE,22,10,		\
		ENEMY_TITANCHASE,24,12,		\
		ENEMY_SHOTGUNNER,30,16,		\
		ENEMY_SHOTGUNNER,20,8,		\
		ENEMY_MEGAWORM,38,10,		\
		ENEMY_SHOTGUNNER,4,6,		\
		ENEMY_MEGAWORM,25,18,		\
		ENEMY_MEGAWORM,7,19,		\
		ENEMY_TITANCHASE,19,8,		\
		ENEMY_TITANCHASE,19,13,		\
		ENEMY_SHOTGUNNER,26,17,		\
		ENEMY_SHOTGUNNER,25,18,		\
		ENEMY_TITANCHASE,26,20,		\
		ENEMY_SHOTGUNNER,29,16,		\
		ENEMY_MEGAWORM,32,8,		\
		ENEMY_TITANCHASE,23,2,		\
		ENEMY_TITANCHASE,10,13,		\
		ENEMY_TITANCHASE,17,4,		\
		ENEMY_MEGAWORM,26,17,		\
		ENEMY_TITANCHASE,33,15,		\
		ENEMY_MEGAWORM,13,11,		\
		ENEMY_TITANCHASE,10,23,		\
		ENEMY_TITANCHASE,28,16,		\
		ENEMY_TITANCHASE,12,21,		\
		ENEMY_TITANCHASE,30,18,		\
		ENEMY_SHOTGUNNER,34,18,		\
		ENEMY_TITANCHASE,10,17,		\
		ENEMY_MEGAWORM,34,3,		\
		ENEMY_SHOTGUNNER,31,14,		\
		ENEMY_TITANCHASE,14,11,		\
		ENEMY_MEGAWORM,30,23,		\
		ENEMY_MEGAWORM,26,23,		\
		ENEMY_MEGAWORM,21,20,		\
		ENEMY_MEGAWORM,14,10,		\
		ENEMY_SHOTGUNNER,30,11,		\
		ENEMY_TITANCHASE,5,2,		\
		ENEMY_SHOTGUNNER,29,6,		\
		ENEMY_SHOTGUNNER,16,2,		\
		ENEMY_MEGAWORM,12,23,		\
		ENEMY_SHOTGUNNER,5,13,		\
		ENEMY_SHOTGUNNER,28,4,		\
		ENEMY_MEGAWORM,5,15,		\
		ENEMY_MEGAWORM,27,19,		\
		ENEMY_SHOTGUNNER,21,15,		\
		ENEMY_TITANCHASE,3,19,		\
		ENEMY_SHOTGUNNER,3,3,		\
		ENEMY_SHOTGUNNER,32,8,		\
		ENEMY_SHOTGUNNER,30,10,		\
		ENEMY_SHOTGUNNER,39,12,		\
		ENEMY_SHOTGUNNER,29,18,		\
		ENEMY_TITANCHASE,29,21,		\
		ENEMY_SHOTGUNNER,29,20,		\
		ENEMY_TITANCHASE,32,18,		\
		ENEMY_MEGAWORM,39,3,		\
		ENEMY_MEGAWORM,30,14,		\
		ENEMY_TITANCHASE,32,16,		\
		ENEMY_MEGAWORM,12,11,		\
		ENEMY_SHOTGUNNER,29,9,		\
		ENEMY_MEGAWORM,31,10,		\
		ENEMY_MEGAWORM,39,4,		\
		ENEMY_MEGAWORM,23,9,		\
		ENEMY_MEGAWORM,13,13,		\
		ENEMY_TITANCHASE,7,15,		\
		ENEMY_TITANCHASE,28,15,		\
		ENEMY_TITANCHASE,9,23,		\
		ENEMY_MEGAWORM,34,16,		\
		ENEMY_TITANCHASE,29,6,		\
		ENEMY_SHOTGUNNER,23,21,		\
		ENEMY_TITANCHASE,20,17,		\
		ENEMY_SHOTGUNNER,33,10,		\
		ENEMY_TITANCHASE,15,3,		\
		ENEMY_TITANCHASE,11,12,		\
		ENEMY_TITANCHASE,12,13,		\
		ENEMY_TITANCHASE,29,24,		\
		ENEMY_SHOTGUNNER,17,12,		\
		ENEMY_SHOTGUNNER,14,8,		\
		ENEMY_SHOTGUNNER,31,6,		\
		ENEMY_MEGAWORM,29,18,		\
		ENEMY_SHOTGUNNER,6,5,		\
		ENEMY_SHOTGUNNER,7,5,		\
		ENEMY_TITANCHASE,15,9,		\
		ENEMY_TITANCHASE,17,7,		\
		ENEMY_MEGAWORM,27,6,		\
		ENEMY_SHOTGUNNER,39,5,		\
		ENEMY_MEGAWORM,9,18,		\
		ENEMY_SHOTGUNNER,25,10,		\
		ENEMY_MEGAWORM,18,21,		\
		ENEMY_MEGAWORM,20,17,		\
		ENEMY_TITANCHASE,32,21,		\
		ENEMY_TITANCHASE,39,23,		\
		ENEMY_TITANCHASE,15,18,		\
		ENEMY_TITANCHASE,20,21,		\
		ENEMY_SHOTGUNNER,30,20,		\
		ENEMY_SHOTGUNNER,23,21,		\
		ENEMY_TITANCHASE,9,2
wave20	db	20,128,	\
		ENEMY_TITANCHASE,31,9,		\
		ENEMY_SHOTGUNNER,23,9,		\
		ENEMY_TITANCHASE,39,15,		\
		ENEMY_TITANCHASE,7,21,		\
		ENEMY_TURBOLASER,23,10,		\
		ENEMY_TURBOLASER,19,18,		\
		ENEMY_TURBOLASER,30,6,		\
		ENEMY_TITANCHASE,12,10,		\
		ENEMY_TITANCHASE,22,23,		\
		ENEMY_SHOTGUNNER,11,11,		\
		ENEMY_SHOTGUNNER,30,21,		\
		ENEMY_TITANCHASE,11,8,		\
		ENEMY_TURBOLASER,34,18,		\
		ENEMY_TURBOLASER,36,5,		\
		ENEMY_SHOTGUNNER,37,18,		\
		ENEMY_SHOTGUNNER,14,17,		\
		ENEMY_TITANCHASE,23,7,		\
		ENEMY_SHOTGUNNER,24,6,		\
		ENEMY_SHOTGUNNER,17,6,		\
		ENEMY_SHOTGUNNER,38,17,		\
		ENEMY_TURBOLASER,22,8,		\
		ENEMY_SHOTGUNNER,3,4,		\
		ENEMY_TITANCHASE,30,7,		\
		ENEMY_TURBOLASER,10,10,		\
		ENEMY_SHOTGUNNER,24,20,		\
		ENEMY_TITANCHASE,7,19,		\
		ENEMY_TITANCHASE,4,17,		\
		ENEMY_SHOTGUNNER,23,9,		\
		ENEMY_TURBOLASER,17,10,		\
		ENEMY_TURBOLASER,12,12,		\
		ENEMY_TURBOLASER,28,5,		\
		ENEMY_TITANCHASE,26,24,		\
		ENEMY_TURBOLASER,14,19,		\
		ENEMY_TITANCHASE,20,18,		\
		ENEMY_SHOTGUNNER,7,21,		\
		ENEMY_SHOTGUNNER,12,14,		\
		ENEMY_TITANCHASE,16,11,		\
		ENEMY_TURBOLASER,37,12,		\
		ENEMY_SHOTGUNNER,13,21,		\
		ENEMY_TITANCHASE,27,15,		\
		ENEMY_SHOTGUNNER,16,17,		\
		ENEMY_TURBOLASER,8,20,		\
		ENEMY_TURBOLASER,13,16,		\
		ENEMY_TURBOLASER,8,11,		\
		ENEMY_SHOTGUNNER,3,11,		\
		ENEMY_TITANCHASE,29,10,		\
		ENEMY_TITANCHASE,33,23,		\
		ENEMY_TURBOLASER,3,11,		\
		ENEMY_SHOTGUNNER,23,8,		\
		ENEMY_TITANCHASE,27,10,		\
		ENEMY_SHOTGUNNER,25,21,		\
		ENEMY_SHOTGUNNER,21,22,		\
		ENEMY_SHOTGUNNER,25,7,		\
		ENEMY_SHOTGUNNER,13,13,		\
		ENEMY_TURBOLASER,39,22,		\
		ENEMY_TURBOLASER,39,14,		\
		ENEMY_SHOTGUNNER,18,4,		\
		ENEMY_SHOTGUNNER,33,23,		\
		ENEMY_TITANCHASE,8,22,		\
		ENEMY_TITANCHASE,33,8,		\
		ENEMY_TURBOLASER,12,19,		\
		ENEMY_SHOTGUNNER,36,11,		\
		ENEMY_TITANCHASE,5,6,		\
		ENEMY_SHOTGUNNER,33,12,		\
		ENEMY_TITANCHASE,34,17,		\
		ENEMY_TITANCHASE,38,11,		\
		ENEMY_TURBOLASER,23,15,		\
		ENEMY_TITANCHASE,15,22,		\
		ENEMY_TURBOLASER,3,20,		\
		ENEMY_SHOTGUNNER,36,10,		\
		ENEMY_SHOTGUNNER,29,8,		\
		ENEMY_TURBOLASER,35,16,		\
		ENEMY_SHOTGUNNER,20,18,		\
		ENEMY_TURBOLASER,21,14,		\
		ENEMY_SHOTGUNNER,29,19,		\
		ENEMY_SHOTGUNNER,25,13,		\
		ENEMY_TITANCHASE,6,16,		\
		ENEMY_TITANCHASE,2,20,		\
		ENEMY_SHOTGUNNER,7,17,		\
		ENEMY_TITANCHASE,17,8,		\
		ENEMY_TURBOLASER,21,11,		\
		ENEMY_TURBOLASER,15,14,		\
		ENEMY_TURBOLASER,3,20,		\
		ENEMY_TITANCHASE,14,16,		\
		ENEMY_TURBOLASER,32,13,		\
		ENEMY_TURBOLASER,14,5,		\
		ENEMY_TITANCHASE,15,11,		\
		ENEMY_SHOTGUNNER,21,8,		\
		ENEMY_TURBOLASER,5,19,		\
		ENEMY_TURBOLASER,38,11,		\
		ENEMY_TURBOLASER,38,20,		\
		ENEMY_TURBOLASER,25,24,		\
		ENEMY_SHOTGUNNER,13,19,		\
		ENEMY_TITANCHASE,31,5,		\
		ENEMY_SHOTGUNNER,12,6,		\
		ENEMY_TITANCHASE,19,24,		\
		ENEMY_TURBOLASER,20,17,		\
		ENEMY_TURBOLASER,16,16,		\
		ENEMY_SHOTGUNNER,8,19,		\
		ENEMY_TURBOLASER,9,3,		\
		ENEMY_SHOTGUNNER,4,3,		\
		ENEMY_TITANCHASE,19,2,		\
		ENEMY_SHOTGUNNER,22,4,		\
		ENEMY_TURBOLASER,28,16,		\
		ENEMY_SHOTGUNNER,7,2,		\
		ENEMY_TURBOLASER,5,13,		\
		ENEMY_TURBOLASER,25,13,		\
		ENEMY_TITANCHASE,31,15,		\
		ENEMY_SHOTGUNNER,26,15,		\
		ENEMY_SHOTGUNNER,34,23,		\
		ENEMY_TITANCHASE,5,6,		\
		ENEMY_TITANCHASE,27,13,		\
		ENEMY_TURBOLASER,19,21,		\
		ENEMY_TITANCHASE,12,12,		\
		ENEMY_SHOTGUNNER,4,6,		\
		ENEMY_TITANCHASE,12,9,		\
		ENEMY_SHOTGUNNER,30,12,		\
		ENEMY_TURBOLASER,14,19,		\
		ENEMY_TITANCHASE,17,12,		\
		ENEMY_TITANCHASE,30,4,		\
		ENEMY_SHOTGUNNER,16,11,		\
		ENEMY_TURBOLASER,10,20,		\
		ENEMY_TURBOLASER,27,24,		\
		ENEMY_TITANCHASE,25,5,		\
		ENEMY_TURBOLASER,32,8,		\
		ENEMY_TITANCHASE,5,17,		\
		ENEMY_TITANCHASE,13,18,		\
		ENEMY_SHOTGUNNER,17,9
wave21	db	21,128,	\
		ENEMY_TITANCHASE,21,6,		\
		ENEMY_TURBOLASER,13,2,		\
		ENEMY_TURBOLASER,12,14,		\
		ENEMY_BLINKDASH,6,23,		\
		ENEMY_BLINKDASH,12,3,		\
		ENEMY_TURBOLASER,15,7,		\
		ENEMY_BLINKDASH,15,13,		\
		ENEMY_BLINKDASH,2,15,		\
		ENEMY_TURBOLASER,12,21,		\
		ENEMY_BLINKDASH,11,20,		\
		ENEMY_TURBOLASER,32,8,		\
		ENEMY_TITANCHASE,14,19,		\
		ENEMY_TITANCHASE,9,12,		\
		ENEMY_TITANCHASE,31,22,		\
		ENEMY_TURBOLASER,38,20,		\
		ENEMY_BLINKDASH,10,3,		\
		ENEMY_BLINKDASH,38,11,		\
		ENEMY_TURBOLASER,33,2,		\
		ENEMY_TITANCHASE,33,22,		\
		ENEMY_TITANCHASE,33,18,		\
		ENEMY_TITANCHASE,15,4,		\
		ENEMY_TITANCHASE,8,8,		\
		ENEMY_TITANCHASE,21,24,		\
		ENEMY_TITANCHASE,6,4,		\
		ENEMY_BLINKDASH,7,23,		\
		ENEMY_TITANCHASE,15,8,		\
		ENEMY_BLINKDASH,14,23,		\
		ENEMY_TURBOLASER,4,21,		\
		ENEMY_BLINKDASH,31,16,		\
		ENEMY_BLINKDASH,22,22,		\
		ENEMY_TITANCHASE,18,4,		\
		ENEMY_BLINKDASH,36,20,		\
		ENEMY_TURBOLASER,17,22,		\
		ENEMY_TITANCHASE,8,7,		\
		ENEMY_TURBOLASER,15,16,		\
		ENEMY_BLINKDASH,2,20,		\
		ENEMY_TITANCHASE,11,3,		\
		ENEMY_TITANCHASE,22,11,		\
		ENEMY_TITANCHASE,34,3,		\
		ENEMY_TURBOLASER,37,8,		\
		ENEMY_TITANCHASE,8,8,		\
		ENEMY_TURBOLASER,37,16,		\
		ENEMY_TURBOLASER,8,16,		\
		ENEMY_TITANCHASE,6,6,		\
		ENEMY_TITANCHASE,5,11,		\
		ENEMY_BLINKDASH,32,4,		\
		ENEMY_TURBOLASER,31,5,		\
		ENEMY_TURBOLASER,37,19,		\
		ENEMY_TURBOLASER,30,6,		\
		ENEMY_BLINKDASH,24,17,		\
		ENEMY_TURBOLASER,2,13,		\
		ENEMY_TITANCHASE,9,13,		\
		ENEMY_TITANCHASE,39,12,		\
		ENEMY_TITANCHASE,25,13,		\
		ENEMY_TITANCHASE,15,10,		\
		ENEMY_TURBOLASER,8,13,		\
		ENEMY_TITANCHASE,16,18,		\
		ENEMY_BLINKDASH,17,11,		\
		ENEMY_TURBOLASER,32,15,		\
		ENEMY_TURBOLASER,14,22,		\
		ENEMY_TURBOLASER,14,23,		\
		ENEMY_TITANCHASE,37,14,		\
		ENEMY_BLINKDASH,19,18,		\
		ENEMY_TITANCHASE,37,2,		\
		ENEMY_TITANCHASE,18,15,		\
		ENEMY_TITANCHASE,4,24,		\
		ENEMY_TURBOLASER,16,11,		\
		ENEMY_TURBOLASER,30,6,		\
		ENEMY_TITANCHASE,36,19,		\
		ENEMY_TURBOLASER,19,3,		\
		ENEMY_TITANCHASE,20,9,		\
		ENEMY_BLINKDASH,34,6,		\
		ENEMY_BLINKDASH,9,22,		\
		ENEMY_TITANCHASE,8,9,		\
		ENEMY_TURBOLASER,28,9,		\
		ENEMY_TURBOLASER,27,23,		\
		ENEMY_BLINKDASH,6,17,		\
		ENEMY_TURBOLASER,39,9,		\
		ENEMY_TITANCHASE,11,8,		\
		ENEMY_BLINKDASH,11,10,		\
		ENEMY_TITANCHASE,9,7,		\
		ENEMY_BLINKDASH,16,5,		\
		ENEMY_TITANCHASE,8,24,		\
		ENEMY_BLINKDASH,20,7,		\
		ENEMY_BLINKDASH,37,7,		\
		ENEMY_TITANCHASE,14,9,		\
		ENEMY_TITANCHASE,12,18,		\
		ENEMY_TITANCHASE,36,5,		\
		ENEMY_TITANCHASE,13,4,		\
		ENEMY_TITANCHASE,30,8,		\
		ENEMY_TURBOLASER,3,4,		\
		ENEMY_BLINKDASH,28,5,		\
		ENEMY_TITANCHASE,37,9,		\
		ENEMY_TITANCHASE,8,24,		\
		ENEMY_BLINKDASH,25,8,		\
		ENEMY_TITANCHASE,14,13,		\
		ENEMY_BLINKDASH,18,21,		\
		ENEMY_TITANCHASE,22,21,		\
		ENEMY_TITANCHASE,6,4,		\
		ENEMY_TURBOLASER,8,10,		\
		ENEMY_BLINKDASH,26,6,		\
		ENEMY_BLINKDASH,23,14,		\
		ENEMY_TITANCHASE,24,20,		\
		ENEMY_TURBOLASER,21,2,		\
		ENEMY_TURBOLASER,7,16,		\
		ENEMY_BLINKDASH,33,2,		\
		ENEMY_BLINKDASH,6,13,		\
		ENEMY_TURBOLASER,17,14,		\
		ENEMY_TITANCHASE,3,13,		\
		ENEMY_TURBOLASER,29,10,		\
		ENEMY_TITANCHASE,23,23,		\
		ENEMY_TITANCHASE,39,3,		\
		ENEMY_TURBOLASER,27,12,		\
		ENEMY_BLINKDASH,29,21,		\
		ENEMY_TURBOLASER,8,6,		\
		ENEMY_TURBOLASER,35,15,		\
		ENEMY_TITANCHASE,13,12,		\
		ENEMY_TITANCHASE,26,18,		\
		ENEMY_BLINKDASH,23,13,		\
		ENEMY_BLINKDASH,2,12,		\
		ENEMY_BLINKDASH,23,24,		\
		ENEMY_TURBOLASER,24,7,		\
		ENEMY_BLINKDASH,6,22,		\
		ENEMY_TURBOLASER,17,18,		\
		ENEMY_TITANCHASE,34,21,		\
		ENEMY_TURBOLASER,26,11,		\
		ENEMY_TITANCHASE,16,21,		\
		ENEMY_TURBOLASER,16,3
wave22	db	22,128,	\
		ENEMY_TURBOLASER,15,3,		\
		ENEMY_RIPPLER,38,11,		\
		ENEMY_BLINKDASH,2,4,		\
		ENEMY_TURBOLASER,4,8,		\
		ENEMY_TURBOLASER,28,24,		\
		ENEMY_BLINKDASH,7,10,		\
		ENEMY_TURBOLASER,27,4,		\
		ENEMY_TURBOLASER,14,3,		\
		ENEMY_BLINKDASH,2,15,		\
		ENEMY_BLINKDASH,28,8,		\
		ENEMY_RIPPLER,20,23,		\
		ENEMY_RIPPLER,4,24,		\
		ENEMY_BLINKDASH,26,17,		\
		ENEMY_RIPPLER,13,10,		\
		ENEMY_TURBOLASER,14,3,		\
		ENEMY_BLINKDASH,24,5,		\
		ENEMY_TURBOLASER,37,8,		\
		ENEMY_TURBOLASER,38,16,		\
		ENEMY_BLINKDASH,23,13,		\
		ENEMY_TURBOLASER,25,23,		\
		ENEMY_TURBOLASER,6,15,		\
		ENEMY_TURBOLASER,17,4,		\
		ENEMY_BLINKDASH,11,24,		\
		ENEMY_TURBOLASER,27,18,		\
		ENEMY_RIPPLER,35,23,		\
		ENEMY_BLINKDASH,10,15,		\
		ENEMY_BLINKDASH,15,8,		\
		ENEMY_TURBOLASER,3,7,		\
		ENEMY_TURBOLASER,21,20,		\
		ENEMY_RIPPLER,30,3,		\
		ENEMY_TURBOLASER,34,4,		\
		ENEMY_RIPPLER,2,11,		\
		ENEMY_RIPPLER,25,3,		\
		ENEMY_BLINKDASH,13,3,		\
		ENEMY_TURBOLASER,19,6,		\
		ENEMY_TURBOLASER,26,4,		\
		ENEMY_BLINKDASH,22,15,		\
		ENEMY_BLINKDASH,17,13,		\
		ENEMY_RIPPLER,36,22,		\
		ENEMY_TURBOLASER,34,14,		\
		ENEMY_BLINKDASH,18,12,		\
		ENEMY_TURBOLASER,6,4,		\
		ENEMY_BLINKDASH,8,22,		\
		ENEMY_BLINKDASH,39,2,		\
		ENEMY_BLINKDASH,9,14,		\
		ENEMY_BLINKDASH,24,24,		\
		ENEMY_RIPPLER,7,15,		\
		ENEMY_BLINKDASH,39,18,		\
		ENEMY_RIPPLER,27,3,		\
		ENEMY_TURBOLASER,26,8,		\
		ENEMY_TURBOLASER,39,21,		\
		ENEMY_BLINKDASH,31,18,		\
		ENEMY_RIPPLER,27,16,		\
		ENEMY_BLINKDASH,11,21,		\
		ENEMY_BLINKDASH,17,3,		\
		ENEMY_TURBOLASER,5,12,		\
		ENEMY_TURBOLASER,11,14,		\
		ENEMY_BLINKDASH,30,13,		\
		ENEMY_RIPPLER,16,17,		\
		ENEMY_BLINKDASH,19,8,		\
		ENEMY_TURBOLASER,37,23,		\
		ENEMY_TURBOLASER,35,22,		\
		ENEMY_RIPPLER,32,21,		\
		ENEMY_TURBOLASER,30,22,		\
		ENEMY_BLINKDASH,37,15,		\
		ENEMY_RIPPLER,10,15,		\
		ENEMY_BLINKDASH,37,23,		\
		ENEMY_TURBOLASER,26,17,		\
		ENEMY_RIPPLER,6,15,		\
		ENEMY_TURBOLASER,24,19,		\
		ENEMY_BLINKDASH,34,8,		\
		ENEMY_RIPPLER,27,23,		\
		ENEMY_BLINKDASH,11,2,		\
		ENEMY_BLINKDASH,28,2,		\
		ENEMY_RIPPLER,36,16,		\
		ENEMY_BLINKDASH,18,13,		\
		ENEMY_TURBOLASER,20,14,		\
		ENEMY_BLINKDASH,8,10,		\
		ENEMY_RIPPLER,21,24,		\
		ENEMY_TURBOLASER,23,7,		\
		ENEMY_BLINKDASH,23,24,		\
		ENEMY_RIPPLER,25,12,		\
		ENEMY_TURBOLASER,10,12,		\
		ENEMY_TURBOLASER,13,12,		\
		ENEMY_TURBOLASER,6,18,		\
		ENEMY_TURBOLASER,3,9,		\
		ENEMY_BLINKDASH,30,4,		\
		ENEMY_TURBOLASER,5,21,		\
		ENEMY_BLINKDASH,21,11,		\
		ENEMY_BLINKDASH,27,6,		\
		ENEMY_RIPPLER,2,2,		\
		ENEMY_BLINKDASH,25,3,		\
		ENEMY_TURBOLASER,14,23,		\
		ENEMY_TURBOLASER,2,4,		\
		ENEMY_RIPPLER,22,8,		\
		ENEMY_BLINKDASH,35,12,		\
		ENEMY_RIPPLER,20,3,		\
		ENEMY_TURBOLASER,17,16,		\
		ENEMY_BLINKDASH,26,12,		\
		ENEMY_TURBOLASER,4,11,		\
		ENEMY_BLINKDASH,23,23,		\
		ENEMY_RIPPLER,35,14,		\
		ENEMY_BLINKDASH,10,7,		\
		ENEMY_BLINKDASH,30,11,		\
		ENEMY_RIPPLER,29,10,		\
		ENEMY_TURBOLASER,12,19,		\
		ENEMY_BLINKDASH,21,17,		\
		ENEMY_TURBOLASER,24,13,		\
		ENEMY_TURBOLASER,9,14,		\
		ENEMY_RIPPLER,12,23,		\
		ENEMY_RIPPLER,2,23,		\
		ENEMY_TURBOLASER,3,13,		\
		ENEMY_RIPPLER,9,5,		\
		ENEMY_TURBOLASER,28,15,		\
		ENEMY_BLINKDASH,29,3,		\
		ENEMY_BLINKDASH,5,3,		\
		ENEMY_BLINKDASH,35,4,		\
		ENEMY_RIPPLER,28,11,		\
		ENEMY_TURBOLASER,35,11,		\
		ENEMY_TURBOLASER,3,5,		\
		ENEMY_RIPPLER,12,16,		\
		ENEMY_RIPPLER,24,5,		\
		ENEMY_BLINKDASH,21,4,		\
		ENEMY_TURBOLASER,18,17,		\
		ENEMY_RIPPLER,9,16,		\
		ENEMY_RIPPLER,34,6,		\
		ENEMY_BLINKDASH,36,14,		\
		ENEMY_RIPPLER,39,24
wave23	db	23,128,	\
		ENEMY_RIPPLER,39,15,		\
		ENEMY_BLINKDASH,38,24,		\
		ENEMY_BLINKDASH,25,19,		\
		ENEMY_RIPPLER,20,4,		\
		ENEMY_BLINKDASH,23,4,		\
		ENEMY_BLINKDASH,20,10,		\
		ENEMY_EVILCHASE,6,20,		\
		ENEMY_EVILCHASE,28,10,		\
		ENEMY_BLINKDASH,37,3,		\
		ENEMY_BLINKDASH,7,12,		\
		ENEMY_RIPPLER,24,12,		\
		ENEMY_EVILCHASE,29,20,		\
		ENEMY_BLINKDASH,24,3,		\
		ENEMY_RIPPLER,25,17,		\
		ENEMY_BLINKDASH,26,2,		\
		ENEMY_EVILCHASE,11,23,		\
		ENEMY_RIPPLER,3,10,		\
		ENEMY_EVILCHASE,3,14,		\
		ENEMY_BLINKDASH,18,22,		\
		ENEMY_RIPPLER,5,13,		\
		ENEMY_RIPPLER,9,21,		\
		ENEMY_BLINKDASH,6,19,		\
		ENEMY_EVILCHASE,31,16,		\
		ENEMY_RIPPLER,9,19,		\
		ENEMY_BLINKDASH,21,14,		\
		ENEMY_BLINKDASH,23,9,		\
		ENEMY_BLINKDASH,37,22,		\
		ENEMY_EVILCHASE,38,18,		\
		ENEMY_RIPPLER,25,23,		\
		ENEMY_BLINKDASH,15,4,		\
		ENEMY_EVILCHASE,39,19,		\
		ENEMY_RIPPLER,27,19,		\
		ENEMY_RIPPLER,32,9,		\
		ENEMY_EVILCHASE,35,3,		\
		ENEMY_BLINKDASH,24,4,		\
		ENEMY_BLINKDASH,28,24,		\
		ENEMY_RIPPLER,11,11,		\
		ENEMY_EVILCHASE,24,4,		\
		ENEMY_EVILCHASE,4,14,		\
		ENEMY_BLINKDASH,27,2,		\
		ENEMY_RIPPLER,38,19,		\
		ENEMY_RIPPLER,18,24,		\
		ENEMY_RIPPLER,13,15,		\
		ENEMY_EVILCHASE,39,4,		\
		ENEMY_EVILCHASE,34,24,		\
		ENEMY_EVILCHASE,37,10,		\
		ENEMY_EVILCHASE,2,16,		\
		ENEMY_BLINKDASH,6,11,		\
		ENEMY_BLINKDASH,2,8,		\
		ENEMY_EVILCHASE,4,12,		\
		ENEMY_EVILCHASE,11,11,		\
		ENEMY_EVILCHASE,5,17,		\
		ENEMY_EVILCHASE,37,4,		\
		ENEMY_RIPPLER,5,14,		\
		ENEMY_EVILCHASE,10,22,		\
		ENEMY_BLINKDASH,25,16,		\
		ENEMY_RIPPLER,32,13,		\
		ENEMY_EVILCHASE,26,24,		\
		ENEMY_RIPPLER,29,22,		\
		ENEMY_EVILCHASE,29,23,		\
		ENEMY_EVILCHASE,20,3,		\
		ENEMY_BLINKDASH,8,5,		\
		ENEMY_BLINKDASH,9,23,		\
		ENEMY_EVILCHASE,7,22,		\
		ENEMY_EVILCHASE,37,6,		\
		ENEMY_RIPPLER,8,5,		\
		ENEMY_RIPPLER,9,5,		\
		ENEMY_EVILCHASE,11,14,		\
		ENEMY_RIPPLER,21,9,		\
		ENEMY_BLINKDASH,25,17,		\
		ENEMY_RIPPLER,35,20,		\
		ENEMY_EVILCHASE,37,23,		\
		ENEMY_EVILCHASE,29,19,		\
		ENEMY_RIPPLER,20,3,		\
		ENEMY_RIPPLER,37,20,		\
		ENEMY_BLINKDASH,24,13,		\
		ENEMY_BLINKDASH,26,17,		\
		ENEMY_EVILCHASE,32,15,		\
		ENEMY_RIPPLER,26,4,		\
		ENEMY_RIPPLER,3,9,		\
		ENEMY_BLINKDASH,31,12,		\
		ENEMY_EVILCHASE,4,8,		\
		ENEMY_RIPPLER,8,3,		\
		ENEMY_RIPPLER,16,6,		\
		ENEMY_RIPPLER,21,3,		\
		ENEMY_BLINKDASH,34,16,		\
		ENEMY_BLINKDASH,7,18,		\
		ENEMY_EVILCHASE,3,20,		\
		ENEMY_EVILCHASE,27,23,		\
		ENEMY_RIPPLER,18,12,		\
		ENEMY_BLINKDASH,3,19,		\
		ENEMY_BLINKDASH,29,8,		\
		ENEMY_RIPPLER,20,24,		\
		ENEMY_EVILCHASE,25,9,		\
		ENEMY_BLINKDASH,29,11,		\
		ENEMY_BLINKDASH,29,13,		\
		ENEMY_RIPPLER,25,22,		\
		ENEMY_EVILCHASE,36,18,		\
		ENEMY_RIPPLER,22,3,		\
		ENEMY_RIPPLER,10,16,		\
		ENEMY_BLINKDASH,27,17,		\
		ENEMY_EVILCHASE,29,5,		\
		ENEMY_EVILCHASE,27,10,		\
		ENEMY_EVILCHASE,24,15,		\
		ENEMY_EVILCHASE,19,17,		\
		ENEMY_RIPPLER,30,12,		\
		ENEMY_RIPPLER,28,16,		\
		ENEMY_EVILCHASE,31,3,		\
		ENEMY_EVILCHASE,2,11,		\
		ENEMY_BLINKDASH,24,20,		\
		ENEMY_BLINKDASH,31,5,		\
		ENEMY_RIPPLER,32,19,		\
		ENEMY_RIPPLER,22,5,		\
		ENEMY_BLINKDASH,19,16,		\
		ENEMY_EVILCHASE,23,8,		\
		ENEMY_BLINKDASH,10,24,		\
		ENEMY_BLINKDASH,30,17,		\
		ENEMY_BLINKDASH,24,3,		\
		ENEMY_BLINKDASH,14,6,		\
		ENEMY_BLINKDASH,28,21,		\
		ENEMY_RIPPLER,2,10,		\
		ENEMY_BLINKDASH,26,17,		\
		ENEMY_RIPPLER,36,24,		\
		ENEMY_RIPPLER,36,2,		\
		ENEMY_BLINKDASH,21,17,		\
		ENEMY_EVILCHASE,38,13,		\
		ENEMY_RIPPLER,19,21,		\
		ENEMY_RIPPLER,34,21
wave24	db	24,128,	\
		ENEMY_EVILCHASE,15,18,		\
		ENEMY_EVILCHASE,21,6,		\
		ENEMY_MOBGUNNER,24,15,		\
		ENEMY_MOBGUNNER,35,15,		\
		ENEMY_EVILCHASE,21,9,		\
		ENEMY_EVILCHASE,16,20,		\
		ENEMY_RIPPLER,28,5,		\
		ENEMY_MOBGUNNER,3,14,		\
		ENEMY_EVILCHASE,38,12,		\
		ENEMY_MOBGUNNER,12,23,		\
		ENEMY_EVILCHASE,18,12,		\
		ENEMY_MOBGUNNER,22,23,		\
		ENEMY_MOBGUNNER,35,13,		\
		ENEMY_RIPPLER,32,15,		\
		ENEMY_RIPPLER,20,13,		\
		ENEMY_EVILCHASE,26,21,		\
		ENEMY_RIPPLER,38,6,		\
		ENEMY_MOBGUNNER,32,2,		\
		ENEMY_RIPPLER,37,6,		\
		ENEMY_EVILCHASE,24,24,		\
		ENEMY_EVILCHASE,4,24,		\
		ENEMY_MOBGUNNER,12,16,		\
		ENEMY_RIPPLER,23,3,		\
		ENEMY_RIPPLER,13,23,		\
		ENEMY_EVILCHASE,6,12,		\
		ENEMY_MOBGUNNER,23,16,		\
		ENEMY_RIPPLER,21,11,		\
		ENEMY_RIPPLER,7,14,		\
		ENEMY_MOBGUNNER,13,19,		\
		ENEMY_EVILCHASE,16,14,		\
		ENEMY_RIPPLER,25,12,		\
		ENEMY_RIPPLER,28,23,		\
		ENEMY_EVILCHASE,8,18,		\
		ENEMY_MOBGUNNER,4,7,		\
		ENEMY_EVILCHASE,5,21,		\
		ENEMY_EVILCHASE,39,14,		\
		ENEMY_RIPPLER,23,5,		\
		ENEMY_RIPPLER,39,8,		\
		ENEMY_RIPPLER,4,15,		\
		ENEMY_RIPPLER,9,2,		\
		ENEMY_EVILCHASE,36,13,		\
		ENEMY_MOBGUNNER,31,6,		\
		ENEMY_MOBGUNNER,39,16,		\
		ENEMY_EVILCHASE,8,12,		\
		ENEMY_RIPPLER,20,24,		\
		ENEMY_RIPPLER,32,22,		\
		ENEMY_RIPPLER,32,24,		\
		ENEMY_RIPPLER,27,8,		\
		ENEMY_EVILCHASE,7,21,		\
		ENEMY_RIPPLER,32,10,		\
		ENEMY_EVILCHASE,37,24,		\
		ENEMY_MOBGUNNER,7,24,		\
		ENEMY_RIPPLER,16,8,		\
		ENEMY_MOBGUNNER,38,3,		\
		ENEMY_MOBGUNNER,30,16,		\
		ENEMY_EVILCHASE,30,9,		\
		ENEMY_RIPPLER,19,18,		\
		ENEMY_EVILCHASE,4,16,		\
		ENEMY_EVILCHASE,7,22,		\
		ENEMY_EVILCHASE,7,13,		\
		ENEMY_RIPPLER,31,2,		\
		ENEMY_RIPPLER,22,9,		\
		ENEMY_EVILCHASE,32,24,		\
		ENEMY_EVILCHASE,3,15,		\
		ENEMY_MOBGUNNER,22,3,		\
		ENEMY_EVILCHASE,3,2,		\
		ENEMY_EVILCHASE,27,10,		\
		ENEMY_EVILCHASE,12,6,		\
		ENEMY_RIPPLER,27,9,		\
		ENEMY_MOBGUNNER,23,6,		\
		ENEMY_RIPPLER,7,17,		\
		ENEMY_RIPPLER,39,5,		\
		ENEMY_MOBGUNNER,37,2,		\
		ENEMY_EVILCHASE,39,8,		\
		ENEMY_EVILCHASE,18,14,		\
		ENEMY_MOBGUNNER,13,23,		\
		ENEMY_EVILCHASE,6,15,		\
		ENEMY_EVILCHASE,24,24,		\
		ENEMY_MOBGUNNER,11,2,		\
		ENEMY_RIPPLER,7,19,		\
		ENEMY_MOBGUNNER,11,2,		\
		ENEMY_RIPPLER,2,19,		\
		ENEMY_MOBGUNNER,4,8,		\
		ENEMY_EVILCHASE,16,16,		\
		ENEMY_EVILCHASE,33,16,		\
		ENEMY_MOBGUNNER,17,7,		\
		ENEMY_RIPPLER,35,20,		\
		ENEMY_MOBGUNNER,25,7,		\
		ENEMY_MOBGUNNER,29,7,		\
		ENEMY_EVILCHASE,35,8,		\
		ENEMY_EVILCHASE,22,2,		\
		ENEMY_RIPPLER,11,21,		\
		ENEMY_EVILCHASE,30,7,		\
		ENEMY_MOBGUNNER,33,3,		\
		ENEMY_RIPPLER,10,2,		\
		ENEMY_MOBGUNNER,19,21,		\
		ENEMY_EVILCHASE,8,9,		\
		ENEMY_MOBGUNNER,27,20,		\
		ENEMY_MOBGUNNER,7,8,		\
		ENEMY_MOBGUNNER,22,9,		\
		ENEMY_RIPPLER,10,15,		\
		ENEMY_RIPPLER,26,18,		\
		ENEMY_RIPPLER,11,21,		\
		ENEMY_RIPPLER,37,21,		\
		ENEMY_MOBGUNNER,9,5,		\
		ENEMY_MOBGUNNER,14,16,		\
		ENEMY_EVILCHASE,6,14,		\
		ENEMY_MOBGUNNER,3,22,		\
		ENEMY_EVILCHASE,28,7,		\
		ENEMY_MOBGUNNER,21,19,		\
		ENEMY_RIPPLER,34,5,		\
		ENEMY_MOBGUNNER,22,22,		\
		ENEMY_MOBGUNNER,7,15,		\
		ENEMY_EVILCHASE,21,8,		\
		ENEMY_EVILCHASE,5,11,		\
		ENEMY_EVILCHASE,36,20,		\
		ENEMY_RIPPLER,36,2,		\
		ENEMY_RIPPLER,34,7,		\
		ENEMY_RIPPLER,28,10,		\
		ENEMY_RIPPLER,23,6,		\
		ENEMY_RIPPLER,10,20,		\
		ENEMY_RIPPLER,3,19,		\
		ENEMY_RIPPLER,32,2,		\
		ENEMY_EVILCHASE,7,22,		\
		ENEMY_EVILCHASE,34,19,		\
		ENEMY_RIPPLER,36,9,		\
		ENEMY_RIPPLER,4,4,		\
		ENEMY_MOBGUNNER,6,5
wave25	db	25,255,	\
		ENEMY_DASH,6,8,		\
		ENEMY_SUPERDASH,35,4,		\
		ENEMY_MACHGUNNER,27,3,		\
		ENEMY_IRONCHASE,12,12,		\
		ENEMY_CHASE,3,17,		\
		ENEMY_BOUNCEGUNNER,31,14,		\
		ENEMY_GUNNER,32,14,		\
		ENEMY_STUPID,37,9,		\
		ENEMY_TITANCHASE,2,14,		\
		ENEMY_TITANCHASE,4,5,		\
		ENEMY_HYPERSTUPID,24,2,		\
		ENEMY_DEATHLASER,12,4,		\
		ENEMY_DASH,19,9,		\
		ENEMY_MEGAWORM,22,4,		\
		ENEMY_SUPERDASH,39,23,		\
		ENEMY_EVILCHASE,10,3,		\
		ENEMY_MEGAWORM,14,8,		\
		ENEMY_IRONCHASE,3,13,		\
		ENEMY_TURBOLASER,15,21,		\
		ENEMY_INSANEWORM,5,19,		\
		ENEMY_MOBGUNNER,18,3,		\
		ENEMY_STUPID,13,20,		\
		ENEMY_EVILCHASE,16,2,		\
		ENEMY_STEELCHASE,6,21,		\
		ENEMY_INSANEWORM,24,12,		\
		ENEMY_SHOTGUNNER,36,23,		\
		ENEMY_STUPID,7,20,		\
		ENEMY_BLINKDASH,5,12,		\
		ENEMY_RIPPLER,4,8,		\
		ENEMY_FASTCHASE,4,2,		\
		ENEMY_TITANCHASE,15,19,		\
		ENEMY_CHASE,3,21,		\
		ENEMY_FASTSTUPID,19,17,		\
		ENEMY_WORM,4,2,		\
		ENEMY_GUNNER,11,10,		\
		ENEMY_EVILCHASE,30,6,		\
		ENEMY_BLINKDASH,16,18,		\
		ENEMY_TITANCHASE,35,7,		\
		ENEMY_EVILCHASE,10,8,		\
		ENEMY_STUPID,6,10,		\
		ENEMY_TITANCHASE,18,21,		\
		ENEMY_MOBGUNNER,19,23,		\
		ENEMY_STRONGCHASE,11,2,		\
		ENEMY_EVILCHASE,34,5,		\
		ENEMY_STEELCHASE,16,11,		\
		ENEMY_MODESTWORM,14,21,		\
		ENEMY_MEGAWORM,13,15,		\
		ENEMY_FASTCHASE,20,7,		\
		ENEMY_STUPID,32,15,		\
		ENEMY_DEATHLASER,31,17,		\
		ENEMY_STRONGCHASE,27,22,		\
		ENEMY_BOUNCEGUNNER,8,17,		\
		ENEMY_DASH,17,15,		\
		ENEMY_FASTSTUPID,2,5,		\
		ENEMY_SUPERDASH,12,19,		\
		ENEMY_SUPERSTUPID,3,7,		\
		ENEMY_RIPPLER,3,4,		\
		ENEMY_HYPERSTUPID,9,16,		\
		ENEMY_BOUNCEGUNNER,28,6,		\
		ENEMY_FASTSTUPID,14,3,		\
		ENEMY_FASTSTUPID,19,11,		\
		ENEMY_STRONGCHASE,7,8,		\
		ENEMY_IRONCHASE,30,6,		\
		ENEMY_FRENZYCHASE,6,3,		\
		ENEMY_HYPERSTUPID,39,4,		\
		ENEMY_TITANCHASE,31,24,		\
		ENEMY_RIPPLER,24,11,		\
		ENEMY_TURBOLASER,24,2,		\
		ENEMY_WORM,11,19,		\
		ENEMY_WORM,10,9,		\
		ENEMY_FASTCHASE,18,17,		\
		ENEMY_RIPPLER,12,3,		\
		ENEMY_WORM,11,9,		\
		ENEMY_MOBGUNNER,19,11,		\
		ENEMY_GUNNER,8,8,		\
		ENEMY_INSANEWORM,3,7,		\
		ENEMY_HYPERSTUPID,24,6,		\
		ENEMY_SHOTGUNNER,39,15,		\
		ENEMY_DEATHLASER,13,10,		\
		ENEMY_STEELCHASE,8,21,		\
		ENEMY_BOUNCEGUNNER,36,2,		\
		ENEMY_INSANEWORM,13,7,		\
		ENEMY_MACHGUNNER,27,21,		\
		ENEMY_SUPERDASH,22,19,		\
		ENEMY_BOUNCEGUNNER,2,20,		\
		ENEMY_MOBGUNNER,22,19,		\
		ENEMY_FASTCHASE,4,16,		\
		ENEMY_FASTCHASE,2,12,		\
		ENEMY_CHASE,25,10,		\
		ENEMY_MACHGUNNER,21,16,		\
		ENEMY_FRENZYCHASE,13,12,		\
		ENEMY_GUNNER,30,3,		\
		ENEMY_FASTSTUPID,36,14,		\
		ENEMY_DASH,26,6,		\
		ENEMY_SUPERDASH,29,16,		\
		ENEMY_FRENZYCHASE,17,4,		\
		ENEMY_BLINKDASH,2,12,		\
		ENEMY_HYPERSTUPID,35,21,		\
		ENEMY_SUPERSTUPID,7,9,		\
		ENEMY_DEATHLASER,3,12,		\
		ENEMY_STEELCHASE,7,7,		\
		ENEMY_GUNNER,18,3,		\
		ENEMY_FASTSTUPID,36,23,		\
		ENEMY_TITANCHASE,18,2,		\
		ENEMY_DEATHLASER,7,4,		\
		ENEMY_HYPERSTUPID,21,21,		\
		ENEMY_DEATHLASER,29,11,		\
		ENEMY_TITANCHASE,37,9,		\
		ENEMY_STRONGCHASE,21,15,		\
		ENEMY_FRENZYCHASE,39,13,		\
		ENEMY_FASTCHASE,5,24,		\
		ENEMY_RIPPLER,5,22,		\
		ENEMY_SHOTGUNNER,39,20,		\
		ENEMY_DEATHLASER,20,13,		\
		ENEMY_TURBOLASER,32,4,		\
		ENEMY_FRENZYCHASE,22,18,		\
		ENEMY_CHASE,32,15,		\
		ENEMY_TITANCHASE,15,20,		\
		ENEMY_EVILCHASE,9,12,		\
		ENEMY_BLINKDASH,11,21,		\
		ENEMY_TURBOLASER,22,9,		\
		ENEMY_MEGAWORM,12,3,		\
		ENEMY_CHASE,33,14,		\
		ENEMY_FASTCHASE,10,22,		\
		ENEMY_BLINKDASH,38,16,		\
		ENEMY_STEELCHASE,22,23,		\
		ENEMY_GUNNER,4,14,		\
		ENEMY_FRENZYCHASE,18,15,		\
		ENEMY_TURBOLASER,31,10,		\
		ENEMY_MOBGUNNER,11,12,		\
		ENEMY_TITANCHASE,21,13,		\
		ENEMY_DEATHLASER,11,22,		\
		ENEMY_FASTSTUPID,17,21,		\
		ENEMY_STUPID,14,18,		\
		ENEMY_GUNNER,39,24,		\
		ENEMY_SUPERDASH,36,15,		\
		ENEMY_WORM,12,14,		\
		ENEMY_MODESTWORM,23,4,		\
		ENEMY_TURBOLASER,19,13,		\
		ENEMY_MODESTWORM,30,13,		\
		ENEMY_SHOTGUNNER,37,3,		\
		ENEMY_SHOTGUNNER,13,18,		\
		ENEMY_DASH,29,3,		\
		ENEMY_WORM,25,12,		\
		ENEMY_IRONCHASE,36,24,		\
		ENEMY_SHOTGUNNER,17,19,		\
		ENEMY_BLINKDASH,39,5,		\
		ENEMY_FASTSTUPID,32,10,		\
		ENEMY_TITANCHASE,34,10,		\
		ENEMY_WORM,7,22,		\
		ENEMY_EVILCHASE,32,7,		\
		ENEMY_IRONCHASE,26,6,		\
		ENEMY_FRENZYCHASE,10,11,		\
		ENEMY_BOUNCEGUNNER,20,16,		\
		ENEMY_IRONCHASE,39,13,		\
		ENEMY_DEATHLASER,27,7,		\
		ENEMY_FRENZYCHASE,30,8,		\
		ENEMY_SUPERSTUPID,13,21,		\
		ENEMY_MEGAWORM,29,4,		\
		ENEMY_FASTCHASE,4,6,		\
		ENEMY_WORM,4,18,		\
		ENEMY_SHOTGUNNER,39,18,		\
		ENEMY_MEGAWORM,35,18,		\
		ENEMY_SUPERSTUPID,37,2,		\
		ENEMY_STUPID,39,8,		\
		ENEMY_EVILCHASE,3,15,		\
		ENEMY_MEGAWORM,22,15,		\
		ENEMY_EVILCHASE,31,14,		\
		ENEMY_FASTSTUPID,17,20,		\
		ENEMY_SUPERDASH,36,6,		\
		ENEMY_BLINKDASH,16,23,		\
		ENEMY_EVILCHASE,18,19,		\
		ENEMY_MEGAWORM,5,19,		\
		ENEMY_MEGAWORM,28,19,		\
		ENEMY_DEATHLASER,29,2,		\
		ENEMY_FRENZYCHASE,22,5,		\
		ENEMY_WORM,39,2,		\
		ENEMY_RIPPLER,3,17,		\
		ENEMY_FASTSTUPID,28,10,		\
		ENEMY_IRONCHASE,26,9,		\
		ENEMY_DASH,33,17,		\
		ENEMY_BOUNCEGUNNER,10,11,		\
		ENEMY_DASH,38,22,		\
		ENEMY_SHOTGUNNER,23,21,		\
		ENEMY_BLINKDASH,20,17,		\
		ENEMY_CHASE,16,21,		\
		ENEMY_IRONCHASE,21,18,		\
		ENEMY_IRONCHASE,6,6,		\
		ENEMY_GUNNER,9,10,		\
		ENEMY_RIPPLER,22,14,		\
		ENEMY_SUPERSTUPID,19,18,		\
		ENEMY_DEATHLASER,39,4,		\
		ENEMY_STRONGCHASE,11,18,		\
		ENEMY_IRONCHASE,19,20,		\
		ENEMY_STEELCHASE,11,17,		\
		ENEMY_HYPERSTUPID,14,22,		\
		ENEMY_IRONCHASE,16,15,		\
		ENEMY_SUPERSTUPID,24,13,		\
		ENEMY_MEGAWORM,34,10,		\
		ENEMY_GUNNER,14,13,		\
		ENEMY_SHOTGUNNER,8,8,		\
		ENEMY_BOUNCEGUNNER,19,24,		\
		ENEMY_RIPPLER,17,10,		\
		ENEMY_HYPERSTUPID,39,11,		\
		ENEMY_MOBGUNNER,25,11,		\
		ENEMY_FASTCHASE,23,17,		\
		ENEMY_SUPERDASH,20,19,		\
		ENEMY_WORM,9,8,		\
		ENEMY_FASTCHASE,27,18,		\
		ENEMY_TITANCHASE,25,21,		\
		ENEMY_DEATHLASER,19,3,		\
		ENEMY_SHOTGUNNER,20,9,		\
		ENEMY_HYPERSTUPID,2,16,		\
		ENEMY_RIPPLER,36,2,		\
		ENEMY_RIPPLER,3,16,		\
		ENEMY_CHASE,25,3,		\
		ENEMY_WORM,19,4,		\
		ENEMY_SHOTGUNNER,13,16,		\
		ENEMY_EVILCHASE,35,13,		\
		ENEMY_HYPERSTUPID,38,21,		\
		ENEMY_STRONGCHASE,4,10,		\
		ENEMY_IRONCHASE,10,12,		\
		ENEMY_MODESTWORM,34,22,		\
		ENEMY_MACHGUNNER,9,16,		\
		ENEMY_SUPERDASH,21,7,		\
		ENEMY_MACHGUNNER,30,5,		\
		ENEMY_DASH,11,7,		\
		ENEMY_IRONCHASE,10,20,		\
		ENEMY_BOUNCEGUNNER,37,12,		\
		ENEMY_WORM,11,5,		\
		ENEMY_EVILCHASE,20,22,		\
		ENEMY_DEATHLASER,30,16,		\
		ENEMY_INSANEWORM,11,20,		\
		ENEMY_STUPID,13,3,		\
		ENEMY_MODESTWORM,12,15,		\
		ENEMY_EVILCHASE,28,24,		\
		ENEMY_CHASE,21,10,		\
		ENEMY_SHOTGUNNER,4,20,		\
		ENEMY_CHASE,39,7,		\
		ENEMY_IRONCHASE,26,8,		\
		ENEMY_IRONCHASE,14,18,		\
		ENEMY_SUPERDASH,34,2,		\
		ENEMY_DEATHLASER,38,11,		\
		ENEMY_SHOTGUNNER,15,8,		\
		ENEMY_SHOTGUNNER,19,11,		\
		ENEMY_FASTCHASE,35,6,		\
		ENEMY_SHOTGUNNER,14,24,		\
		ENEMY_GUNNER,39,5,		\
		ENEMY_DEATHLASER,17,11,		\
		ENEMY_IRONCHASE,6,22,		\
		ENEMY_STEELCHASE,6,11,		\
		ENEMY_HYPERSTUPID,6,18,		\
		ENEMY_MODESTWORM,25,10,		\
		ENEMY_IRONCHASE,21,23,		\
		ENEMY_DEATHLASER,32,8
